## org.eclipse.xsd.impl
Class XSDPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.xsd.impl.XSDPackageImpl

All Implemented Interfaces:
  Notifier, EModelElement, ENamedElement, EObject, EPackage, InternalEObject, BasicExtendedMetaData.EPackageExtendedMetaData.Holder, XSDPackage

    public class XSDPackageImpl

extends EPackageImpl
implements XSDPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.xsd.XSDPackage
`XSDPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.xsd.XSDPackage

`DOM_ATTR, DOM_DOCUMENT, DOM_ELEMENT, DOM_NODE, eCONTENT_TYPE, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, VALUE, XSD_ANNOTATION, XSD_ANNOTATION__APPLICATION_INFORMATION, XSD_ANNOTATION__ATTRIBUTES, XSD_ANNOTATION__CONTAINER, XSD_ANNOTATION__DIAGNOSTICS, XSD_ANNOTATION__ELEMENT, XSD_ANNOTATION__ROOT_CONTAINER, XSD_ANNOTATION__SCHEMA, XSD_ANNOTATION__USER_INFORMATION, XSD_ANNOTATION_FEATURE_COUNT, XSD_ATTRIBUTE_DECLARATION, XSD_ATTRIBUTE_DECLARATION__ALIAS_NAME, XSD_ATTRIBUTE_DECLARATION__ALIAS_URI, XSD_ATTRIBUTE_DECLARATION__ANNOTATION, XSD_ATTRIBUTE_DECLARATION__ANONYMOUS_TYPE_DEFINITION, XSD_ATTRIBUTE_DECLARATION__ATTRIBUTE_DECLARATION_REFERENCE, XSD_ATTRIBUTE_DECLARATION__CONSTRAINT, XSD_ATTRIBUTE_DECLARATION__CONTAINER, XSD_ATTRIBUTE_DECLARATION__DIAGNOSTICS, XSD_ATTRIBUTE_DECLARATION__ELEMENT, XSD_ATTRIBUTE_DECLARATION__FEATURE_REFERENCE, XSD_ATTRIBUTE_DECLARATION__FORM, XSD_ATTRIBUTE_DECLARATION__GLOBAL, XSD_ATTRIBUTE_DECLARATION__LEXICAL_VALUE, XSD_ATTRIBUTE_DECLARATION__NAME, XSD_ATTRIBUTE_DECLARATION__QNAME, XSD_ATTRIBUTE_DECLARATION__RESOLVED_ATTRIBUTE_DECLARATION, XSD_ATTRIBUTE_DECLARATION__RESOLVED_FEATURE, XSD_ATTRIBUTE_DECLARATION__ROOT_CONTAINER, XSD_ATTRIBUTE_DECLARATION__SCHEMA, XSD_ATTRIBUTE_DECLARATION__SCOPE, XSD_ATTRIBUTE_DECLARATION__TARGET_NAMESPACE, XSD_ATTRIBUTE_DECLARATION__TYPE, XSD_ATTRIBUTE_DECLARATION__TYPE_DEFINITION, XSD_ATTRIBUTE_DECLARATION__URI, XSD_ATTRIBUTE_DECLARATION__VALUE, XSD_ATTRIBUTE_DECLARATION_FEATURE_COUNT, XSD_ATTRIBUTE_GROUP_CONTENT, XSD_ATTRIBUTE_GROUP_CONTENT__CONTAINER, XSD_ATTRIBUTE_GROUP_CONTENT__DIAGNOSTICS, XSD_ATTRIBUTE_GROUP_CONTENT__ELEMENT, XSD_ATTRIBUTE_GROUP_CONTENT__ROOT_CONTAINER, XSD_ATTRIBUTE_GROUP_CONTENT__SCHEMA, XSD_ATTRIBUTE_GROUP_CONTENT_FEATURE_COUNT, XSD_ATTRIBUTE_GROUP_DEFINITION, XSD_ATTRIBUTE_GROUP_DEFINITION__ALIAS_NAME, XSD_ATTRIBUTE_GROUP_DEFINITION__ALIAS_URI, XSD_ATTRIBUTE_GROUP_DEFINITION__ANNOTATION, XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_GROUP_DEFINITION_REFERENCE, XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_USES, XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_WILDCARD, XSD_ATTRIBUTE_GROUP_DEFINITION__ATTRIBUTE_WILDCARD_CONTENT, XSD_ATTRIBUTE_GROUP_DEFINITION__CIRCULAR, XSD_ATTRIBUTE_GROUP_DEFINITION__CONTAINER, XSD_ATTRIBUTE_GROUP_DEFINITION__CONTENTS, XSD_ATTRIBUTE_GROUP_DEFINITION__DIAGNOSTICS, XSD_ATTRIBUTE_GROUP_DEFINITION__ELEMENT, XSD_ATTRIBUTE_GROUP_DEFINITION__NAME, XSD_ATTRIBUTE_GROUP_DEFINITION__QNAME, XSD_ATTRIBUTE_GROUP_DEFINITION__RESOLVED_ATTRIBUTE_GROUP_DEFINITION, XSD_ATTRIBUTE_GROUP_DEFINITION__ROOT_CONTAINER, XSD_ATTRIBUTE_GROUP_DEFINITION__SCHEMA, XSD_ATTRIBUTE_GROUP_DEFINITION__SYNTHETIC_WILDCARD, XSD_ATTRIBUTE_GROUP_DEFINITION__TARGET_NAMESPACE, XSD_ATTRIBUTE_GROUP_DEFINITION__URI, XSD_ATTRIBUTE_GROUP_DEFINITION_FEATURE_COUNT, XSD_ATTRIBUTE_USE, XSD_ATTRIBUTE_USE__ATTRIBUTE_DECLARATION, XSD_ATTRIBUTE_USE__CONSTRAINT, XSD_ATTRIBUTE_USE__CONTAINER, XSD_ATTRIBUTE_USE__CONTENT, XSD_ATTRIBUTE_USE__DIAGNOSTICS, XSD_ATTRIBUTE_USE__ELEMENT, XSD_ATTRIBUTE_USE__LEXICAL_VALUE, XSD_ATTRIBUTE_USE__REQUIRED, XSD_ATTRIBUTE_USE__ROOT_CONTAINER, XSD_ATTRIBUTE_USE__SCHEMA, XSD_ATTRIBUTE_USE__USE, XSD_ATTRIBUTE_USE__VALUE, XSD_ATTRIBUTE_USE_CATEGORY, XSD_ATTRIBUTE_USE_FEATURE_COUNT, XSD_BOUNDED_FACET, XSD_BOUNDED_FACET__ANNOTATION, XSD_BOUNDED_FACET__CONTAINER, XSD_BOUNDED_FACET__DIAGNOSTICS, XSD_BOUNDED_FACET__EFFECTIVE_VALUE, XSD_BOUNDED_FACET__ELEMENT, XSD_BOUNDED_FACET__FACET_NAME, XSD_BOUNDED_FACET__LEXICAL_VALUE, XSD_BOUNDED_FACET__ROOT_CONTAINER, XSD_BOUNDED_FACET__SCHEMA, XSD_BOUNDED_FACET__SIMPLE_TYPE_DEFINITION, XSD_BOUNDED_FACET__VALUE, XSD_BOUNDED_FACET_FEATURE_COUNT, XSD_CARDINALITY, XSD_CARDINALITY_FACET, XSD_CARDINALITY_FACET__ANNOTATION, XSD_CARDINALITY_FACET__CONTAINER, XSD_CARDINALITY_FACET__DIAGNOSTICS, XSD_CARDINALITY_FACET__EFFECTIVE_VALUE, XSD_CARDINALITY_FACET__ELEMENT, XSD_CARDINALITY_FACET__FACET_NAME, XSD_CARDINALITY_FACET__LEXICAL_VALUE, XSD_CARDINALITY_FACET__ROOT_CONTAINER, XSD_CARDINALITY_FACET__SCHEMA, XSD_CARDINALITY_FACET__SIMPLE_TYPE_DEFINITION, XSD_CARDINALITY_FACET__VALUE, XSD_CARDINALITY_FACET_FEATURE_COUNT, XSD_COMPLEX_FINAL, XSD_COMPLEX_TYPE_CONTENT, XSD_COMPLEX_TYPE_CONTENT__CONTAINER, XSD_COMPLEX_TYPE_CONTENT__DIAGNOSTICS, XSD_COMPLEX_TYPE_CONTENT__ELEMENT, XSD_COMPLEX_TYPE_CONTENT__ROOT_CONTAINER, XSD_COMPLEX_TYPE_CONTENT__SCHEMA, XSD_COMPLEX_TYPE_CONTENT_FEATURE_COUNT, XSD_COMPLEX_TYPE_DEFINITION, XSD_COMPLEX_TYPE_DEFINITION__ABSTRACT, XSD_COMPLEX_TYPE_DEFINITION__ALIAS_NAME, XSD_COMPLEX_TYPE_DEFINITION__ALIAS_URI, XSD_COMPLEX_TYPE_DEFINITION__ANNOTATION, XSD_COMPLEX_TYPE_DEFINITION__ANNOTATIONS, XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_CONTENTS, XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_USES, XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_WILDCARD, XSD_COMPLEX_TYPE_DEFINITION__ATTRIBUTE_WILDCARD_CONTENT, XSD_COMPLEX_TYPE_DEFINITION__BASE_TYPE, XSD_COMPLEX_TYPE_DEFINITION__BASE_TYPE_DEFINITION, XSD_COMPLEX_TYPE_DEFINITION__BLOCK, XSD_COMPLEX_TYPE_DEFINITION__CIRCULAR, XSD_COMPLEX_TYPE_DEFINITION__COMPLEX_TYPE, XSD_COMPLEX_TYPE_DEFINITION__CONTAINER, XSD_COMPLEX_TYPE_DEFINITION__CONTENT, XSD_COMPLEX_TYPE_DEFINITION__CONTENT_ANNOTATION, XSD_COMPLEX_TYPE_DEFINITION__CONTENT_TYPE, XSD_COMPLEX_TYPE_DEFINITION__CONTENT_TYPE_CATEGORY, XSD_COMPLEX_TYPE_DEFINITION__DERIVATION_ANNOTATION, XSD_COMPLEX_TYPE_DEFINITION__DERIVATION_METHOD, XSD_COMPLEX_TYPE_DEFINITION__DIAGNOSTICS, XSD_COMPLEX_TYPE_DEFINITION__ELEMENT, XSD_COMPLEX_TYPE_DEFINITION__FINAL, XSD_COMPLEX_TYPE_DEFINITION__LEXICAL_FINAL, XSD_COMPLEX_TYPE_DEFINITION__MIXED, XSD_COMPLEX_TYPE_DEFINITION__NAME, XSD_COMPLEX_TYPE_DEFINITION__PROHIBITED_SUBSTITUTIONS, XSD_COMPLEX_TYPE_DEFINITION__QNAME, XSD_COMPLEX_TYPE_DEFINITION__ROOT_CONTAINER, XSD_COMPLEX_TYPE_DEFINITION__ROOT_TYPE, XSD_COMPLEX_TYPE_DEFINITION__ROOT_TYPE_DEFINITION, XSD_COMPLEX_TYPE_DEFINITION__SCHEMA, XSD_COMPLEX_TYPE_DEFINITION__SIMPLE_TYPE, XSD_COMPLEX_TYPE_DEFINITION__SYNTHETIC_PARTICLE, XSD_COMPLEX_TYPE_DEFINITION__SYNTHETIC_WILDCARD, XSD_COMPLEX_TYPE_DEFINITION__TARGET_NAMESPACE, XSD_COMPLEX_TYPE_DEFINITION__URI, XSD_COMPLEX_TYPE_DEFINITION_FEATURE_COUNT, XSD_COMPONENT, XSD_COMPONENT__CONTAINER, XSD_COMPONENT__DIAGNOSTICS, XSD_COMPONENT__ELEMENT, XSD_COMPONENT__ROOT_CONTAINER, XSD_COMPONENT__SCHEMA, XSD_COMPONENT_FEATURE_COUNT, XSD_COMPOSITOR, XSD_CONCRETE_COMPONENT, XSD_CONCRETE_COMPONENT__CONTAINER, XSD_CONCRETE_COMPONENT__DIAGNOSTICS, XSD_CONCRETE_COMPONENT__ELEMENT, XSD_CONCRETE_COMPONENT__ROOT_CONTAINER, XSD_CONCRETE_COMPONENT__SCHEMA, XSD_CONCRETE_COMPONENT_FEATURE_COUNT, XSD_CONSTRAINING_FACET, XSD_CONSTRAINING_FACET__ANNOTATION, XSD_CONSTRAINING_FACET__CONTAINER, XSD_CONSTRAINING_FACET__DIAGNOSTICS, XSD_CONSTRAINING_FACET__EFFECTIVE_VALUE, XSD_CONSTRAINING_FACET__ELEMENT, XSD_CONSTRAINING_FACET__FACET_NAME, XSD_CONSTRAINING_FACET__LEXICAL_VALUE, XSD_CONSTRAINING_FACET__ROOT_CONTAINER, XSD_CONSTRAINING_FACET__SCHEMA, XSD_CONSTRAINING_FACET__SIMPLE_TYPE_DEFINITION, XSD_CONSTRAINING_FACET_FEATURE_COUNT, XSD_CONSTRAINT, XSD_CONTENT_TYPE_CATEGORY, XSD_DERIVATION_METHOD, XSD_DIAGNOSTIC, XSD_DIAGNOSTIC__ANNOTATION_URI, XSD_DIAGNOSTIC__COLUMN, XSD_DIAGNOSTIC__COMPONENTS, XSD_DIAGNOSTIC__CONTAINER, XSD_DIAGNOSTIC__DIAGNOSTICS, XSD_DIAGNOSTIC__ELEMENT, XSD_DIAGNOSTIC__KEY, XSD_DIAGNOSTIC__LINE, XSD_DIAGNOSTIC__LOCATION_URI, XSD_DIAGNOSTIC__MESSAGE, XSD_DIAGNOSTIC__NODE, XSD_DIAGNOSTIC__PRIMARY_COMPONENT, XSD_DIAGNOSTIC__ROOT_CONTAINER, XSD_DIAGNOSTIC__SCHEMA, XSD_DIAGNOSTIC__SEVERITY, XSD_DIAGNOSTIC__SUBSTITUTIONS, XSD_DIAGNOSTIC_FEATURE_COUNT, XSD_DIAGNOSTIC_SEVERITY, XSD_DISALLOWED_SUBSTITUTIONS, XSD_ELEMENT_DECLARATION, XSD_ELEMENT_DECLARATION__ABSTRACT, XSD_ELEMENT_DECLARATION__ALIAS_NAME, XSD_ELEMENT_DECLARATION__ALIAS_URI, XSD_ELEMENT_DECLARATION__ANNOTATION, XSD_ELEMENT_DECLARATION__ANONYMOUS_TYPE_DEFINITION, XSD_ELEMENT_DECLARATION__BLOCK, XSD_ELEMENT_DECLARATION__CIRCULAR, XSD_ELEMENT_DECLARATION__CONSTRAINT, XSD_ELEMENT_DECLARATION__CONTAINER, XSD_ELEMENT_DECLARATION__DIAGNOSTICS, XSD_ELEMENT_DECLARATION__DISALLOWED_SUBSTITUTIONS, XSD_ELEMENT_DECLARATION__ELEMENT, XSD_ELEMENT_DECLARATION__ELEMENT_DECLARATION_REFERENCE, XSD_ELEMENT_DECLARATION__FEATURE_REFERENCE, XSD_ELEMENT_DECLARATION__FORM, XSD_ELEMENT_DECLARATION__GLOBAL, XSD_ELEMENT_DECLARATION__IDENTITY_CONSTRAINT_DEFINITIONS, XSD_ELEMENT_DECLARATION__LEXICAL_FINAL, XSD_ELEMENT_DECLARATION__LEXICAL_VALUE, XSD_ELEMENT_DECLARATION__NAME, XSD_ELEMENT_DECLARATION__NILLABLE, XSD_ELEMENT_DECLARATION__QNAME, XSD_ELEMENT_DECLARATION__RESOLVED_ELEMENT_DECLARATION, XSD_ELEMENT_DECLARATION__RESOLVED_FEATURE, XSD_ELEMENT_DECLARATION__ROOT_CONTAINER, XSD_ELEMENT_DECLARATION__SCHEMA, XSD_ELEMENT_DECLARATION__SCOPE, XSD_ELEMENT_DECLARATION__SUBSTITUTION_GROUP, XSD_ELEMENT_DECLARATION__SUBSTITUTION_GROUP_AFFILIATION, XSD_ELEMENT_DECLARATION__SUBSTITUTION_GROUP_EXCLUSIONS, XSD_ELEMENT_DECLARATION__TARGET_NAMESPACE, XSD_ELEMENT_DECLARATION__TYPE, XSD_ELEMENT_DECLARATION__TYPE_DEFINITION, XSD_ELEMENT_DECLARATION__URI, XSD_ELEMENT_DECLARATION__VALUE, XSD_ELEMENT_DECLARATION_FEATURE_COUNT, XSD_ENUMERATION_FACET, XSD_ENUMERATION_FACET__ANNOTATION, XSD_ENUMERATION_FACET__ANNOTATIONS, XSD_ENUMERATION_FACET__CONTAINER, XSD_ENUMERATION_FACET__DIAGNOSTICS, XSD_ENUMERATION_FACET__EFFECTIVE_VALUE, XSD_ENUMERATION_FACET__ELEMENT, XSD_ENUMERATION_FACET__FACET_NAME, XSD_ENUMERATION_FACET__LEXICAL_VALUE, XSD_ENUMERATION_FACET__ROOT_CONTAINER, XSD_ENUMERATION_FACET__SCHEMA, XSD_ENUMERATION_FACET__SIMPLE_TYPE_DEFINITION, XSD_ENUMERATION_FACET__VALUE, XSD_ENUMERATION_FACET_FEATURE_COUNT, XSD_FACET, XSD_FACET__ANNOTATION, XSD_FACET__CONTAINER, XSD_FACET__DIAGNOSTICS, XSD_FACET__EFFECTIVE_VALUE, XSD_FACET__ELEMENT, XSD_FACET__FACET_NAME, XSD_FACET__LEXICAL_VALUE, XSD_FACET__ROOT_CONTAINER, XSD_FACET__SCHEMA, XSD_FACET__SIMPLE_TYPE_DEFINITION, XSD_FACET_FEATURE_COUNT, XSD_FEATURE, XSD_FEATURE__ALIAS_NAME, XSD_FEATURE__ALIAS_URI, XSD_FEATURE__CONSTRAINT, XSD_FEATURE__CONTAINER, XSD_FEATURE__DIAGNOSTICS, XSD_FEATURE__ELEMENT, XSD_FEATURE__FEATURE_REFERENCE, XSD_FEATURE__FORM, XSD_FEATURE__GLOBAL, XSD_FEATURE__LEXICAL_VALUE, XSD_FEATURE__NAME, XSD_FEATURE__QNAME, XSD_FEATURE__RESOLVED_FEATURE, XSD_FEATURE__ROOT_CONTAINER, XSD_FEATURE__SCHEMA, XSD_FEATURE__SCOPE, XSD_FEATURE__TARGET_NAMESPACE, XSD_FEATURE__TYPE, XSD_FEATURE__URI, XSD_FEATURE__VALUE, XSD_FEATURE_FEATURE_COUNT, XSD_FIXED_FACET, XSD_FIXED_FACET__ANNOTATION, XSD_FIXED_FACET__CONTAINER, XSD_FIXED_FACET__DIAGNOSTICS, XSD_FIXED_FACET__EFFECTIVE_VALUE, XSD_FIXED_FACET__ELEMENT, XSD_FIXED_FACET__FACET_NAME, XSD_FIXED_FACET__FIXED, XSD_FIXED_FACET__LEXICAL_VALUE, XSD_FIXED_FACET__ROOT_CONTAINER, XSD_FIXED_FACET__SCHEMA, XSD_FIXED_FACET__SIMPLE_TYPE_DEFINITION, XSD_FIXED_FACET_FEATURE_COUNT, XSD_FORM, XSD_FRACTION_DIGITS_FACET, XSD_FRACTION_DIGITS_FACET__ANNOTATION, XSD_FRACTION_DIGITS_FACET__CONTAINER, XSD_FRACTION_DIGITS_FACET__DIAGNOSTICS, XSD_FRACTION_DIGITS_FACET__EFFECTIVE_VALUE, XSD_FRACTION_DIGITS_FACET__ELEMENT, XSD_FRACTION_DIGITS_FACET__FACET_NAME, XSD_FRACTION_DIGITS_FACET__FIXED, XSD_FRACTION_DIGITS_FACET__LEXICAL_VALUE, XSD_FRACTION_DIGITS_FACET__ROOT_CONTAINER, XSD_FRACTION_DIGITS_FACET__SCHEMA, XSD_FRACTION_DIGITS_FACET__SIMPLE_TYPE_DEFINITION, XSD_FRACTION_DIGITS_FACET__VALUE, XSD_FRACTION_DIGITS_FACET_FEATURE_COUNT, XSD_FUNDAMENTAL_FACET, XSD_FUNDAMENTAL_FACET__ANNOTATION, XSD_FUNDAMENTAL_FACET__CONTAINER, XSD_FUNDAMENTAL_FACET__DIAGNOSTICS, XSD_FUNDAMENTAL_FACET__EFFECTIVE_VALUE, XSD_FUNDAMENTAL_FACET__ELEMENT, XSD_FUNDAMENTAL_FACET__FACET_NAME, XSD_FUNDAMENTAL_FACET__LEXICAL_VALUE, XSD_FUNDAMENTAL_FACET__ROOT_CONTAINER, XSD_FUNDAMENTAL_FACET__SCHEMA, XSD_FUNDAMENTAL_FACET__SIMPLE_TYPE_DEFINITION, XSD_FUNDAMENTAL_FACET_FEATURE_COUNT, XSD_IDENTITY_CONSTRAINT_CATEGORY, XSD_IDENTITY_CONSTRAINT_DEFINITION, XSD_IDENTITY_CONSTRAINT_DEFINITION__ALIAS_NAME, XSD_IDENTITY_CONSTRAINT_DEFINITION__ALIAS_URI, XSD_IDENTITY_CONSTRAINT_DEFINITION__ANNOTATION, XSD_IDENTITY_CONSTRAINT_DEFINITION__CONTAINER, XSD_IDENTITY_CONSTRAINT_DEFINITION__DIAGNOSTICS, XSD_IDENTITY_CONSTRAINT_DEFINITION__ELEMENT, XSD_IDENTITY_CONSTRAINT_DEFINITION__FIELDS, XSD_IDENTITY_CONSTRAINT_DEFINITION__IDENTITY_CONSTRAINT_CATEGORY, XSD_IDENTITY_CONSTRAINT_DEFINITION__NAME, XSD_IDENTITY_CONSTRAINT_DEFINITION__QNAME, XSD_IDENTITY_CONSTRAINT_DEFINITION__REFERENCED_KEY, XSD_IDENTITY_CONSTRAINT_DEFINITION__ROOT_CONTAINER, XSD_IDENTITY_CONSTRAINT_DEFINITION__SCHEMA, XSD_IDENTITY_CONSTRAINT_DEFINITION__SELECTOR, XSD_IDENTITY_CONSTRAINT_DEFINITION__TARGET_NAMESPACE, XSD_IDENTITY_CONSTRAINT_DEFINITION__URI, XSD_IDENTITY_CONSTRAINT_DEFINITION_FEATURE_COUNT, XSD_IMPORT, XSD_IMPORT__ANNOTATION, XSD_IMPORT__CONTAINER, XSD_IMPORT__DIAGNOSTICS, XSD_IMPORT__ELEMENT, XSD_IMPORT__NAMESPACE, XSD_IMPORT__RESOLVED_SCHEMA, XSD_IMPORT__ROOT_CONTAINER, XSD_IMPORT__SCHEMA, XSD_IMPORT__SCHEMA_LOCATION, XSD_IMPORT_FEATURE_COUNT, XSD_INCLUDE, XSD_INCLUDE__ANNOTATION, XSD_INCLUDE__CONTAINER, XSD_INCLUDE__DIAGNOSTICS, XSD_INCLUDE__ELEMENT, XSD_INCLUDE__INCORPORATED_SCHEMA, XSD_INCLUDE__RESOLVED_SCHEMA, XSD_INCLUDE__ROOT_CONTAINER, XSD_INCLUDE__SCHEMA, XSD_INCLUDE__SCHEMA_LOCATION, XSD_INCLUDE_FEATURE_COUNT, XSD_LENGTH_FACET, XSD_LENGTH_FACET__ANNOTATION, XSD_LENGTH_FACET__CONTAINER, XSD_LENGTH_FACET__DIAGNOSTICS, XSD_LENGTH_FACET__EFFECTIVE_VALUE, XSD_LENGTH_FACET__ELEMENT, XSD_LENGTH_FACET__FACET_NAME, XSD_LENGTH_FACET__FIXED, XSD_LENGTH_FACET__LEXICAL_VALUE, XSD_LENGTH_FACET__ROOT_CONTAINER, XSD_LENGTH_FACET__SCHEMA, XSD_LENGTH_FACET__SIMPLE_TYPE_DEFINITION, XSD_LENGTH_FACET__VALUE, XSD_LENGTH_FACET_FEATURE_COUNT, XSD_MAX_EXCLUSIVE_FACET, XSD_MAX_EXCLUSIVE_FACET__ANNOTATION, XSD_MAX_EXCLUSIVE_FACET__CONTAINER, XSD_MAX_EXCLUSIVE_FACET__DIAGNOSTICS, XSD_MAX_EXCLUSIVE_FACET__EFFECTIVE_VALUE, XSD_MAX_EXCLUSIVE_FACET__ELEMENT, XSD_MAX_EXCLUSIVE_FACET__EXCLUSIVE, XSD_MAX_EXCLUSIVE_FACET__FACET_NAME, XSD_MAX_EXCLUSIVE_FACET__FIXED, XSD_MAX_EXCLUSIVE_FACET__INCLUSIVE, XSD_MAX_EXCLUSIVE_FACET__LEXICAL_VALUE, XSD_MAX_EXCLUSIVE_FACET__ROOT_CONTAINER, XSD_MAX_EXCLUSIVE_FACET__SCHEMA, XSD_MAX_EXCLUSIVE_FACET__SIMPLE_TYPE_DEFINITION, XSD_MAX_EXCLUSIVE_FACET__VALUE, XSD_MAX_EXCLUSIVE_FACET_FEATURE_COUNT, XSD_MAX_FACET, XSD_MAX_FACET__ANNOTATION, XSD_MAX_FACET__CONTAINER, XSD_MAX_FACET__DIAGNOSTICS, XSD_MAX_FACET__EFFECTIVE_VALUE, XSD_MAX_FACET__ELEMENT, XSD_MAX_FACET__EXCLUSIVE, XSD_MAX_FACET__FACET_NAME, XSD_MAX_FACET__FIXED, XSD_MAX_FACET__INCLUSIVE, XSD_MAX_FACET__LEXICAL_VALUE, XSD_MAX_FACET__ROOT_CONTAINER, XSD_MAX_FACET__SCHEMA, XSD_MAX_FACET__SIMPLE_TYPE_DEFINITION, XSD_MAX_FACET__VALUE, XSD_MAX_FACET_FEATURE_COUNT, XSD_MAX_INCLUSIVE_FACET, XSD_MAX_INCLUSIVE_FACET__ANNOTATION, XSD_MAX_INCLUSIVE_FACET__CONTAINER, XSD_MAX_INCLUSIVE_FACET__DIAGNOSTICS, XSD_MAX_INCLUSIVE_FACET__EFFECTIVE_VALUE, XSD_MAX_INCLUSIVE_FACET__ELEMENT, XSD_MAX_INCLUSIVE_FACET__EXCLUSIVE, XSD_MAX_INCLUSIVE_FACET__FACET_NAME, XSD_MAX_INCLUSIVE_FACET__FIXED, XSD_MAX_INCLUSIVE_FACET__INCLUSIVE, XSD_MAX_INCLUSIVE_FACET__LEXICAL_VALUE, XSD_MAX_INCLUSIVE_FACET__ROOT_CONTAINER, XSD_MAX_INCLUSIVE_FACET__SCHEMA, XSD_MAX_INCLUSIVE_FACET__SIMPLE_TYPE_DEFINITION, XSD_MAX_INCLUSIVE_FACET__VALUE, XSD_MAX_INCLUSIVE_FACET_FEATURE_COUNT, XSD_MAX_LENGTH_FACET, XSD_MAX_LENGTH_FACET__ANNOTATION, XSD_MAX_LENGTH_FACET__CONTAINER, XSD_MAX_LENGTH_FACET__DIAGNOSTICS, XSD_MAX_LENGTH_FACET__EFFECTIVE_VALUE, XSD_MAX_LENGTH_FACET__ELEMENT, XSD_MAX_LENGTH_FACET__FACET_NAME, XSD_MAX_LENGTH_FACET__FIXED, XSD_MAX_LENGTH_FACET__LEXICAL_VALUE, XSD_MAX_LENGTH_FACET__ROOT_CONTAINER, XSD_MAX_LENGTH_FACET__SCHEMA, XSD_MAX_LENGTH_FACET__SIMPLE_TYPE_DEFINITION, XSD_MAX_LENGTH_FACET__VALUE, XSD_MAX_LENGTH_FACET_FEATURE_COUNT, XSD_MIN_EXCLUSIVE_FACET, XSD_MIN_EXCLUSIVE_FACET__ANNOTATION, XSD_MIN_EXCLUSIVE_FACET__CONTAINER, XSD_MIN_EXCLUSIVE_FACET__DIAGNOSTICS, XSD_MIN_EXCLUSIVE_FACET__EFFECTIVE_VALUE, XSD_MIN_EXCLUSIVE_FACET__ELEMENT, XSD_MIN_EXCLUSIVE_FACET__EXCLUSIVE, XSD_MIN_EXCLUSIVE_FACET__FACET_NAME, XSD_MIN_EXCLUSIVE_FACET__FIXED, XSD_MIN_EXCLUSIVE_FACET__INCLUSIVE, XSD_MIN_EXCLUSIVE_FACET__LEXICAL_VALUE, XSD_MIN_EXCLUSIVE_FACET__ROOT_CONTAINER, XSD_MIN_EXCLUSIVE_FACET__SCHEMA, XSD_MIN_EXCLUSIVE_FACET__SIMPLE_TYPE_DEFINITION, XSD_MIN_EXCLUSIVE_FACET__VALUE, XSD_MIN_EXCLUSIVE_FACET_FEATURE_COUNT, XSD_MIN_FACET, XSD_MIN_FACET__ANNOTATION, XSD_MIN_FACET__CONTAINER, XSD_MIN_FACET__DIAGNOSTICS, XSD_MIN_FACET__EFFECTIVE_VALUE, XSD_MIN_FACET__ELEMENT, XSD_MIN_FACET__EXCLUSIVE, XSD_MIN_FACET__FACET_NAME, XSD_MIN_FACET__FIXED, XSD_MIN_FACET__INCLUSIVE, XSD_MIN_FACET__LEXICAL_VALUE, XSD_MIN_FACET__ROOT_CONTAINER, XSD_MIN_FACET__SCHEMA, XSD_MIN_FACET__SIMPLE_TYPE_DEFINITION, XSD_MIN_FACET__VALUE, XSD_MIN_FACET_FEATURE_COUNT, XSD_MIN_INCLUSIVE_FACET, XSD_MIN_INCLUSIVE_FACET__ANNOTATION, XSD_MIN_INCLUSIVE_FACET__CONTAINER, XSD_MIN_INCLUSIVE_FACET__DIAGNOSTICS, XSD_MIN_INCLUSIVE_FACET__EFFECTIVE_VALUE, XSD_MIN_INCLUSIVE_FACET__ELEMENT, XSD_MIN_INCLUSIVE_FACET__EXCLUSIVE, XSD_MIN_INCLUSIVE_FACET__FACET_NAME, XSD_MIN_INCLUSIVE_FACET__FIXED, XSD_MIN_INCLUSIVE_FACET__INCLUSIVE, XSD_MIN_INCLUSIVE_FACET__LEXICAL_VALUE, XSD_MIN_INCLUSIVE_FACET__ROOT_CONTAINER, XSD_MIN_INCLUSIVE_FACET__SCHEMA, XSD_MIN_INCLUSIVE_FACET__SIMPLE_TYPE_DEFINITION, XSD_MIN_INCLUSIVE_FACET__VALUE, XSD_MIN_INCLUSIVE_FACET_FEATURE_COUNT, XSD_MIN_LENGTH_FACET, XSD_MIN_LENGTH_FACET__ANNOTATION, XSD_MIN_LENGTH_FACET__CONTAINER, XSD_MIN_LENGTH_FACET__DIAGNOSTICS, XSD_MIN_LENGTH_FACET__EFFECTIVE_VALUE, XSD_MIN_LENGTH_FACET__ELEMENT, XSD_MIN_LENGTH_FACET__FACET_NAME, XSD_MIN_LENGTH_FACET__FIXED, XSD_MIN_LENGTH_FACET__LEXICAL_VALUE, XSD_MIN_LENGTH_FACET__ROOT_CONTAINER, XSD_MIN_LENGTH_FACET__SCHEMA, XSD_MIN_LENGTH_FACET__SIMPLE_TYPE_DEFINITION, XSD_MIN_LENGTH_FACET__VALUE, XSD_MIN_LENGTH_FACET_FEATURE_COUNT, XSD_MODEL_GROUP, XSD_MODEL_GROUP__ANNOTATION, XSD_MODEL_GROUP__COMPOSITOR, XSD_MODEL_GROUP__CONTAINER, XSD_MODEL_GROUP__CONTENTS, XSD_MODEL_GROUP__DIAGNOSTICS, XSD_MODEL_GROUP__ELEMENT, XSD_MODEL_GROUP__PARTICLES, XSD_MODEL_GROUP__ROOT_CONTAINER, XSD_MODEL_GROUP__SCHEMA, XSD_MODEL_GROUP_DEFINITION, XSD_MODEL_GROUP_DEFINITION__ALIAS_NAME, XSD_MODEL_GROUP_DEFINITION__ALIAS_URI, XSD_MODEL_GROUP_DEFINITION__ANNOTATION, XSD_MODEL_GROUP_DEFINITION__CIRCULAR, XSD_MODEL_GROUP_DEFINITION__CONTAINER, XSD_MODEL_GROUP_DEFINITION__DIAGNOSTICS, XSD_MODEL_GROUP_DEFINITION__ELEMENT, XSD_MODEL_GROUP_DEFINITION__MODEL_GROUP, XSD_MODEL_GROUP_DEFINITION__MODEL_GROUP_DEFINITION_REFERENCE, XSD_MODEL_GROUP_DEFINITION__NAME, XSD_MODEL_GROUP_DEFINITION__QNAME, XSD_MODEL_GROUP_DEFINITION__RESOLVED_MODEL_GROUP_DEFINITION, XSD_MODEL_GROUP_DEFINITION__ROOT_CONTAINER, XSD_MODEL_GROUP_DEFINITION__SCHEMA, XSD_MODEL_GROUP_DEFINITION__TARGET_NAMESPACE, XSD_MODEL_GROUP_DEFINITION__URI, XSD_MODEL_GROUP_DEFINITION_FEATURE_COUNT, XSD_MODEL_GROUP_FEATURE_COUNT, XSD_NAMED_COMPONENT, XSD_NAMED_COMPONENT__ALIAS_NAME, XSD_NAMED_COMPONENT__ALIAS_URI, XSD_NAMED_COMPONENT__CONTAINER, XSD_NAMED_COMPONENT__DIAGNOSTICS, XSD_NAMED_COMPONENT__ELEMENT, XSD_NAMED_COMPONENT__NAME, XSD_NAMED_COMPONENT__QNAME, XSD_NAMED_COMPONENT__ROOT_CONTAINER, XSD_NAMED_COMPONENT__SCHEMA, XSD_NAMED_COMPONENT__TARGET_NAMESPACE, XSD_NAMED_COMPONENT__URI, XSD_NAMED_COMPONENT_FEATURE_COUNT, XSD_NAMESPACE_CONSTRAINT_CATEGORY, XSD_NOTATION_DECLARATION, XSD_NOTATION_DECLARATION__ALIAS_NAME, XSD_NOTATION_DECLARATION__ALIAS_URI, XSD_NOTATION_DECLARATION__ANNOTATION, XSD_NOTATION_DECLARATION__CONTAINER, XSD_NOTATION_DECLARATION__DIAGNOSTICS, XSD_NOTATION_DECLARATION__ELEMENT, XSD_NOTATION_DECLARATION__NAME, XSD_NOTATION_DECLARATION__PUBLIC_IDENTIFIER, XSD_NOTATION_DECLARATION__QNAME, XSD_NOTATION_DECLARATION__ROOT_CONTAINER, XSD_NOTATION_DECLARATION__SCHEMA, XSD_NOTATION_DECLARATION__SYSTEM_IDENTIFIER, XSD_NOTATION_DECLARATION__TARGET_NAMESPACE, XSD_NOTATION_DECLARATION__URI, XSD_NOTATION_DECLARATION_FEATURE_COUNT, XSD_NUMERIC_FACET, XSD_NUMERIC_FACET__ANNOTATION, XSD_NUMERIC_FACET__CONTAINER, XSD_NUMERIC_FACET__DIAGNOSTICS, XSD_NUMERIC_FACET__EFFECTIVE_VALUE, XSD_NUMERIC_FACET__ELEMENT, XSD_NUMERIC_FACET__FACET_NAME, XSD_NUMERIC_FACET__LEXICAL_VALUE, XSD_NUMERIC_FACET__ROOT_CONTAINER, XSD_NUMERIC_FACET__SCHEMA, XSD_NUMERIC_FACET__SIMPLE_TYPE_DEFINITION, XSD_NUMERIC_FACET__VALUE, XSD_NUMERIC_FACET_FEATURE_COUNT, XSD_ORDERED, XSD_ORDERED_FACET, XSD_ORDERED_FACET__ANNOTATION, XSD_ORDERED_FACET__CONTAINER, XSD_ORDERED_FACET__DIAGNOSTICS, XSD_ORDERED_FACET__EFFECTIVE_VALUE, XSD_ORDERED_FACET__ELEMENT, XSD_ORDERED_FACET__FACET_NAME, XSD_ORDERED_FACET__LEXICAL_VALUE, XSD_ORDERED_FACET__ROOT_CONTAINER, XSD_ORDERED_FACET__SCHEMA, XSD_ORDERED_FACET__SIMPLE_TYPE_DEFINITION, XSD_ORDERED_FACET__VALUE, XSD_ORDERED_FACET_FEATURE_COUNT, XSD_PARTICLE, XSD_PARTICLE__CONTAINER, XSD_PARTICLE__CONTENT, XSD_PARTICLE__DIAGNOSTICS, XSD_PARTICLE__ELEMENT, XSD_PARTICLE__MAX_OCCURS, XSD_PARTICLE__MIN_OCCURS, XSD_PARTICLE__ROOT_CONTAINER, XSD_PARTICLE__SCHEMA, XSD_PARTICLE__TERM, XSD_PARTICLE_CONTENT, XSD_PARTICLE_CONTENT__CONTAINER, XSD_PARTICLE_CONTENT__DIAGNOSTICS, XSD_PARTICLE_CONTENT__ELEMENT, XSD_PARTICLE_CONTENT__ROOT_CONTAINER, XSD_PARTICLE_CONTENT__SCHEMA, XSD_PARTICLE_CONTENT_FEATURE_COUNT, XSD_PARTICLE_FEATURE_COUNT, XSD_PATTERN_FACET, XSD_PATTERN_FACET__ANNOTATION, XSD_PATTERN_FACET__ANNOTATIONS, XSD_PATTERN_FACET__CONTAINER, XSD_PATTERN_FACET__DIAGNOSTICS, XSD_PATTERN_FACET__EFFECTIVE_VALUE, XSD_PATTERN_FACET__ELEMENT, XSD_PATTERN_FACET__FACET_NAME, XSD_PATTERN_FACET__LEXICAL_VALUE, XSD_PATTERN_FACET__ROOT_CONTAINER, XSD_PATTERN_FACET__SCHEMA, XSD_PATTERN_FACET__SIMPLE_TYPE_DEFINITION, XSD_PATTERN_FACET__VALUE, XSD_PATTERN_FACET_FEATURE_COUNT, XSD_PROCESS_CONTENTS, XSD_PROHIBITED_SUBSTITUTIONS, XSD_REDEFINABLE_COMPONENT, XSD_REDEFINABLE_COMPONENT__ALIAS_NAME, XSD_REDEFINABLE_COMPONENT__ALIAS_URI, XSD_REDEFINABLE_COMPONENT__CIRCULAR, XSD_REDEFINABLE_COMPONENT__CONTAINER, XSD_REDEFINABLE_COMPONENT__DIAGNOSTICS, XSD_REDEFINABLE_COMPONENT__ELEMENT, XSD_REDEFINABLE_COMPONENT__NAME, XSD_REDEFINABLE_COMPONENT__QNAME, XSD_REDEFINABLE_COMPONENT__ROOT_CONTAINER, XSD_REDEFINABLE_COMPONENT__SCHEMA, XSD_REDEFINABLE_COMPONENT__TARGET_NAMESPACE, XSD_REDEFINABLE_COMPONENT__URI, XSD_REDEFINABLE_COMPONENT_FEATURE_COUNT, XSD_REDEFINE, XSD_REDEFINE__ANNOTATIONS, XSD_REDEFINE__CONTAINER, XSD_REDEFINE__CONTENTS, XSD_REDEFINE__DIAGNOSTICS, XSD_REDEFINE__ELEMENT, XSD_REDEFINE__INCORPORATED_SCHEMA, XSD_REDEFINE__RESOLVED_SCHEMA, XSD_REDEFINE__ROOT_CONTAINER, XSD_REDEFINE__SCHEMA, XSD_REDEFINE__SCHEMA_LOCATION, XSD_REDEFINE_CONTENT, XSD_REDEFINE_CONTENT__CONTAINER, XSD_REDEFINE_CONTENT__DIAGNOSTICS, XSD_REDEFINE_CONTENT__ELEMENT, XSD_REDEFINE_CONTENT__ROOT_CONTAINER, XSD_REDEFINE_CONTENT__SCHEMA, XSD_REDEFINE_CONTENT_FEATURE_COUNT, XSD_REDEFINE_FEATURE_COUNT, XSD_REPEATABLE_FACET, XSD_REPEATABLE_FACET__ANNOTATION, XSD_REPEATABLE_FACET__ANNOTATIONS, XSD_REPEATABLE_FACET__CONTAINER, XSD_REPEATABLE_FACET__DIAGNOSTICS, XSD_REPEATABLE_FACET__EFFECTIVE_VALUE, XSD_REPEATABLE_FACET__ELEMENT, XSD_REPEATABLE_FACET__FACET_NAME, XSD_REPEATABLE_FACET__LEXICAL_VALUE, XSD_REPEATABLE_FACET__ROOT_CONTAINER, XSD_REPEATABLE_FACET__SCHEMA, XSD_REPEATABLE_FACET__SIMPLE_TYPE_DEFINITION, XSD_REPEATABLE_FACET_FEATURE_COUNT, XSD_SCHEMA, XSD_SCHEMA__ALL_DIAGNOSTICS, XSD_SCHEMA__ANNOTATIONS, XSD_SCHEMA__ATTRIBUTE_DECLARATIONS, XSD_SCHEMA__ATTRIBUTE_FORM_DEFAULT, XSD_SCHEMA__ATTRIBUTE_GROUP_DEFINITIONS, XSD_SCHEMA__BLOCK_DEFAULT, XSD_SCHEMA__CONTAINER, XSD_SCHEMA__CONTENTS, XSD_SCHEMA__DIAGNOSTICS, XSD_SCHEMA__DOCUMENT, XSD_SCHEMA__ELEMENT, XSD_SCHEMA__ELEMENT_DECLARATIONS, XSD_SCHEMA__ELEMENT_FORM_DEFAULT, XSD_SCHEMA__FINAL_DEFAULT, XSD_SCHEMA__IDENTITY_CONSTRAINT_DEFINITIONS, XSD_SCHEMA__INCORPORATED_VERSIONS, XSD_SCHEMA__MODEL_GROUP_DEFINITIONS, XSD_SCHEMA__NOTATION_DECLARATIONS, XSD_SCHEMA__ORIGINAL_VERSION, XSD_SCHEMA__REFERENCING_DIRECTIVES, XSD_SCHEMA__ROOT_CONTAINER, XSD_SCHEMA__ROOT_VERSION, XSD_SCHEMA__SCHEMA, XSD_SCHEMA__SCHEMA_FOR_SCHEMA, XSD_SCHEMA__SCHEMA_LOCATION, XSD_SCHEMA__TARGET_NAMESPACE, XSD_SCHEMA__TYPE_DEFINITIONS, XSD_SCHEMA__VERSION, XSD_SCHEMA_COMPOSITOR, XSD_SCHEMA_COMPOSITOR__CONTAINER, XSD_SCHEMA_COMPOSITOR__DIAGNOSTICS, XSD_SCHEMA_COMPOSITOR__ELEMENT, XSD_SCHEMA_COMPOSITOR__INCORPORATED_SCHEMA, XSD_SCHEMA_COMPOSITOR__RESOLVED_SCHEMA, XSD_SCHEMA_COMPOSITOR__ROOT_CONTAINER, XSD_SCHEMA_COMPOSITOR__SCHEMA, XSD_SCHEMA_COMPOSITOR__SCHEMA_LOCATION, XSD_SCHEMA_COMPOSITOR_FEATURE_COUNT, XSD_SCHEMA_CONTENT, XSD_SCHEMA_CONTENT__CONTAINER, XSD_SCHEMA_CONTENT__DIAGNOSTICS, XSD_SCHEMA_CONTENT__ELEMENT, XSD_SCHEMA_CONTENT__ROOT_CONTAINER, XSD_SCHEMA_CONTENT__SCHEMA, XSD_SCHEMA_CONTENT_FEATURE_COUNT, XSD_SCHEMA_DIRECTIVE, XSD_SCHEMA_DIRECTIVE__CONTAINER, XSD_SCHEMA_DIRECTIVE__DIAGNOSTICS, XSD_SCHEMA_DIRECTIVE__ELEMENT, XSD_SCHEMA_DIRECTIVE__RESOLVED_SCHEMA, XSD_SCHEMA_DIRECTIVE__ROOT_CONTAINER, XSD_SCHEMA_DIRECTIVE__SCHEMA, XSD_SCHEMA_DIRECTIVE__SCHEMA_LOCATION, XSD_SCHEMA_DIRECTIVE_FEATURE_COUNT, XSD_SCHEMA_FEATURE_COUNT, XSD_SCOPE, XSD_SCOPE__CONTAINER, XSD_SCOPE__DIAGNOSTICS, XSD_SCOPE__ELEMENT, XSD_SCOPE__ROOT_CONTAINER, XSD_SCOPE__SCHEMA, XSD_SCOPE_FEATURE_COUNT, XSD_SIMPLE_FINAL, XSD_SIMPLE_TYPE_DEFINITION, XSD_SIMPLE_TYPE_DEFINITION__ALIAS_NAME, XSD_SIMPLE_TYPE_DEFINITION__ALIAS_URI, XSD_SIMPLE_TYPE_DEFINITION__ANNOTATION, XSD_SIMPLE_TYPE_DEFINITION__ANNOTATIONS, XSD_SIMPLE_TYPE_DEFINITION__BASE_TYPE, XSD_SIMPLE_TYPE_DEFINITION__BASE_TYPE_DEFINITION, XSD_SIMPLE_TYPE_DEFINITION__BOUNDED_FACET, XSD_SIMPLE_TYPE_DEFINITION__CARDINALITY_FACET, XSD_SIMPLE_TYPE_DEFINITION__CIRCULAR, XSD_SIMPLE_TYPE_DEFINITION__COMPLEX_TYPE, XSD_SIMPLE_TYPE_DEFINITION__CONTAINER, XSD_SIMPLE_TYPE_DEFINITION__CONTENTS, XSD_SIMPLE_TYPE_DEFINITION__DERIVATION_ANNOTATION, XSD_SIMPLE_TYPE_DEFINITION__DIAGNOSTICS, XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_ENUMERATION_FACET, XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_FRACTION_DIGITS_FACET, XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_LENGTH_FACET, XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MAX_FACET, XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MAX_LENGTH_FACET, XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MIN_FACET, XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_MIN_LENGTH_FACET, XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_PATTERN_FACET, XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_TOTAL_DIGITS_FACET, XSD_SIMPLE_TYPE_DEFINITION__EFFECTIVE_WHITE_SPACE_FACET, XSD_SIMPLE_TYPE_DEFINITION__ELEMENT, XSD_SIMPLE_TYPE_DEFINITION__ENUMERATION_FACETS, XSD_SIMPLE_TYPE_DEFINITION__FACET_CONTENTS, XSD_SIMPLE_TYPE_DEFINITION__FACETS, XSD_SIMPLE_TYPE_DEFINITION__FINAL, XSD_SIMPLE_TYPE_DEFINITION__FRACTION_DIGITS_FACET, XSD_SIMPLE_TYPE_DEFINITION__FUNDAMENTAL_FACETS, XSD_SIMPLE_TYPE_DEFINITION__ITEM_TYPE_DEFINITION, XSD_SIMPLE_TYPE_DEFINITION__LENGTH_FACET, XSD_SIMPLE_TYPE_DEFINITION__LEXICAL_FINAL, XSD_SIMPLE_TYPE_DEFINITION__MAX_EXCLUSIVE_FACET, XSD_SIMPLE_TYPE_DEFINITION__MAX_FACET, XSD_SIMPLE_TYPE_DEFINITION__MAX_INCLUSIVE_FACET, XSD_SIMPLE_TYPE_DEFINITION__MAX_LENGTH_FACET, XSD_SIMPLE_TYPE_DEFINITION__MEMBER_TYPE_DEFINITIONS, XSD_SIMPLE_TYPE_DEFINITION__MIN_EXCLUSIVE_FACET, XSD_SIMPLE_TYPE_DEFINITION__MIN_FACET, XSD_SIMPLE_TYPE_DEFINITION__MIN_INCLUSIVE_FACET, XSD_SIMPLE_TYPE_DEFINITION__MIN_LENGTH_FACET, XSD_SIMPLE_TYPE_DEFINITION__NAME, XSD_SIMPLE_TYPE_DEFINITION__NUMERIC_FACET, XSD_SIMPLE_TYPE_DEFINITION__ORDERED_FACET, XSD_SIMPLE_TYPE_DEFINITION__PATTERN_FACETS, XSD_SIMPLE_TYPE_DEFINITION__PRIMITIVE_TYPE_DEFINITION, XSD_SIMPLE_TYPE_DEFINITION__QNAME, XSD_SIMPLE_TYPE_DEFINITION__ROOT_CONTAINER, XSD_SIMPLE_TYPE_DEFINITION__ROOT_TYPE, XSD_SIMPLE_TYPE_DEFINITION__ROOT_TYPE_DEFINITION, XSD_SIMPLE_TYPE_DEFINITION__SCHEMA, XSD_SIMPLE_TYPE_DEFINITION__SIMPLE_TYPE, XSD_SIMPLE_TYPE_DEFINITION__SYNTHETIC_FACETS, XSD_SIMPLE_TYPE_DEFINITION__TARGET_NAMESPACE, XSD_SIMPLE_TYPE_DEFINITION__TOTAL_DIGITS_FACET, XSD_SIMPLE_TYPE_DEFINITION__URI, XSD_SIMPLE_TYPE_DEFINITION__VALID_FACETS, XSD_SIMPLE_TYPE_DEFINITION__VARIETY, XSD_SIMPLE_TYPE_DEFINITION__WHITE_SPACE_FACET, XSD_SIMPLE_TYPE_DEFINITION_FEATURE_COUNT, XSD_SUBSTITUTION_GROUP_EXCLUSIONS, XSD_TERM, XSD_TERM__CONTAINER, XSD_TERM__DIAGNOSTICS, XSD_TERM__ELEMENT, XSD_TERM__ROOT_CONTAINER, XSD_TERM__SCHEMA, XSD_TERM_FEATURE_COUNT, XSD_TOTAL_DIGITS_FACET, XSD_TOTAL_DIGITS_FACET__ANNOTATION, XSD_TOTAL_DIGITS_FACET__CONTAINER, XSD_TOTAL_DIGITS_FACET__DIAGNOSTICS, XSD_TOTAL_DIGITS_FACET__EFFECTIVE_VALUE, XSD_TOTAL_DIGITS_FACET__ELEMENT, XSD_TOTAL_DIGITS_FACET__FACET_NAME, XSD_TOTAL_DIGITS_FACET__FIXED, XSD_TOTAL_DIGITS_FACET__LEXICAL_VALUE, XSD_TOTAL_DIGITS_FACET__ROOT_CONTAINER, XSD_TOTAL_DIGITS_FACET__SCHEMA, XSD_TOTAL_DIGITS_FACET__SIMPLE_TYPE_DEFINITION, XSD_TOTAL_DIGITS_FACET__VALUE, XSD_TOTAL_DIGITS_FACET_FEATURE_COUNT, XSD_TYPE_DEFINITION, XSD_TYPE_DEFINITION__ALIAS_NAME, XSD_TYPE_DEFINITION__ALIAS_URI, XSD_TYPE_DEFINITION__ANNOTATION, XSD_TYPE_DEFINITION__ANNOTATIONS, XSD_TYPE_DEFINITION__BASE_TYPE, XSD_TYPE_DEFINITION__CIRCULAR, XSD_TYPE_DEFINITION__COMPLEX_TYPE, XSD_TYPE_DEFINITION__CONTAINER, XSD_TYPE_DEFINITION__DERIVATION_ANNOTATION, XSD_TYPE_DEFINITION__DIAGNOSTICS, XSD_TYPE_DEFINITION__ELEMENT, XSD_TYPE_DEFINITION__NAME, XSD_TYPE_DEFINITION__QNAME, XSD_TYPE_DEFINITION__ROOT_CONTAINER, XSD_TYPE_DEFINITION__ROOT_TYPE, XSD_TYPE_DEFINITION__SCHEMA, XSD_TYPE_DEFINITION__SIMPLE_TYPE, XSD_TYPE_DEFINITION__TARGET_NAMESPACE, XSD_TYPE_DEFINITION__URI, XSD_TYPE_DEFINITION_FEATURE_COUNT, XSD_VARIETY, XSD_WHITE_SPACE, XSD_WHITE_SPACE_FACET, XSD_WHITE_SPACE_FACET__ANNOTATION, XSD_WHITE_SPACE_FACET__CONTAINER, XSD_WHITE_SPACE_FACET__DIAGNOSTICS, XSD_WHITE_SPACE_FACET__EFFECTIVE_VALUE, XSD_WHITE_SPACE_FACET__ELEMENT, XSD_WHITE_SPACE_FACET__FACET_NAME, XSD_WHITE_SPACE_FACET__FIXED, XSD_WHITE_SPACE_FACET__LEXICAL_VALUE, XSD_WHITE_SPACE_FACET__ROOT_CONTAINER, XSD_WHITE_SPACE_FACET__SCHEMA, XSD_WHITE_SPACE_FACET__SIMPLE_TYPE_DEFINITION, XSD_WHITE_SPACE_FACET__VALUE, XSD_WHITE_SPACE_FACET_FEATURE_COUNT, XSD_WILDCARD, XSD_WILDCARD__ANNOTATION, XSD_WILDCARD__ANNOTATIONS, XSD_WILDCARD__CONTAINER, XSD_WILDCARD__DIAGNOSTICS, XSD_WILDCARD__ELEMENT, XSD_WILDCARD__LEXICAL_NAMESPACE_CONSTRAINT, XSD_WILDCARD__NAMESPACE_CONSTRAINT, XSD_WILDCARD__NAMESPACE_CONSTRAINT_CATEGORY, XSD_WILDCARD__PROCESS_CONTENTS, XSD_WILDCARD__ROOT_CONTAINER, XSD_WILDCARD__SCHEMA, XSD_WILDCARD_FEATURE_COUNT, XSD_XPATH_DEFINITION, XSD_XPATH_DEFINITION__ANNOTATION, XSD_XPATH_DEFINITION__CONTAINER, XSD_XPATH_DEFINITION__DIAGNOSTICS, XSD_XPATH_DEFINITION__ELEMENT, XSD_XPATH_DEFINITION__ROOT_CONTAINER, XSD_XPATH_DEFINITION__SCHEMA, XSD_XPATH_DEFINITION__VALUE, XSD_XPATH_DEFINITION__VARIETY, XSD_XPATH_DEFINITION_FEATURE_COUNT, XSD_XPATH_VARIETY`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EDataType` `getDOMAttr()`
`EDataType` `getDOMDocument()`
`EDataType` `getDOMElement()`
`EDataType` `getDOMNode()`
`EDataType` `getValue()`
`EAttribute` `getXSDAnnotation_ApplicationInformation()`
`EAttribute` `getXSDAnnotation_Attributes()`
`EAttribute` `getXSDAnnotation_UserInformation()`
`EClass` `getXSDAnnotation()`
`EReference` `getXSDAttributeDeclaration_Annotation()`
`EReference` `getXSDAttributeDeclaration_AnonymousTypeDefinition()`
`EAttribute` `getXSDAttributeDeclaration_AttributeDeclarationReference()`
`EReference` `getXSDAttributeDeclaration_ResolvedAttributeDeclaration()`
`EReference` `getXSDAttributeDeclaration_TypeDefinition()`
`EClass` `getXSDAttributeDeclaration()`
`EClass` `getXSDAttributeGroupContent()`
`EReference` `getXSDAttributeGroupDefinition_Annotation()`
`EAttribute` `getXSDAttributeGroupDefinition_AttributeGroupDefinitionReference()`
`EReference` `getXSDAttributeGroupDefinition_AttributeUses()`
`EReference` `getXSDAttributeGroupDefinition_AttributeWildcard()`
`EReference` `getXSDAttributeGroupDefinition_AttributeWildcardContent()`
`EReference` `getXSDAttributeGroupDefinition_Contents()`
`EReference` `getXSDAttributeGroupDefinition_ResolvedAttributeGroupDefinition()`
`EReference` `getXSDAttributeGroupDefinition_SyntheticWildcard()`
`EClass` `getXSDAttributeGroupDefinition()`
`EReference` `getXSDAttributeUse_AttributeDeclaration()`
`EAttribute` `getXSDAttributeUse_Constraint()`
`EReference` `getXSDAttributeUse_Content()`
`EAttribute` `getXSDAttributeUse_LexicalValue()`
`EAttribute` `getXSDAttributeUse_Required()`
`EAttribute` `getXSDAttributeUse_Use()`
`EAttribute` `getXSDAttributeUse_Value()`
`EClass` `getXSDAttributeUse()`
`EEnum` `getXSDAttributeUseCategory()`
`EAttribute` `getXSDBoundedFacet_Value()`
`EClass` `getXSDBoundedFacet()`
`EEnum` `getXSDCardinality()`
`EAttribute` `getXSDCardinalityFacet_Value()`
`EClass` `getXSDCardinalityFacet()`
`EEnum` `getXSDComplexFinal()`
`EClass` `getXSDComplexTypeContent()`
`EAttribute` `getXSDComplexTypeDefinition_Abstract()`
`EReference` `getXSDComplexTypeDefinition_AttributeContents()`
`EReference` `getXSDComplexTypeDefinition_AttributeUses()`
`EReference` `getXSDComplexTypeDefinition_AttributeWildcard()`
`EReference` `getXSDComplexTypeDefinition_AttributeWildcardContent()`
`EReference` `getXSDComplexTypeDefinition_BaseTypeDefinition()`
`EAttribute` `getXSDComplexTypeDefinition_Block()`
`EReference` `getXSDComplexTypeDefinition_Content()`
`EReference` `getXSDComplexTypeDefinition_ContentAnnotation()`
`EReference` `getXSDComplexTypeDefinition_ContentType()`
`EAttribute` `getXSDComplexTypeDefinition_ContentTypeCategory()`
`EAttribute` `getXSDComplexTypeDefinition_DerivationMethod()`
`EAttribute` `getXSDComplexTypeDefinition_Final()`
`EAttribute` `getXSDComplexTypeDefinition_LexicalFinal()`
`EAttribute` `getXSDComplexTypeDefinition_Mixed()`
`EAttribute` `getXSDComplexTypeDefinition_ProhibitedSubstitutions()`
`EReference` `getXSDComplexTypeDefinition_RootTypeDefinition()`
`EReference` `getXSDComplexTypeDefinition_SyntheticParticle()`
`EReference` `getXSDComplexTypeDefinition_SyntheticWildcard()`
`EClass` `getXSDComplexTypeDefinition()`
`EClass` `getXSDComponent()`
`EEnum` `getXSDCompositor()`
`EReference` `getXSDConcreteComponent_Container()`
`EReference` `getXSDConcreteComponent_Diagnostics()`
`EAttribute` `getXSDConcreteComponent_Element()`
`EReference` `getXSDConcreteComponent_RootContainer()`
`EReference` `getXSDConcreteComponent_Schema()`
`EClass` `getXSDConcreteComponent()`
`EClass` `getXSDConstrainingFacet()`
`EEnum` `getXSDConstraint()`
`EEnum` `getXSDContentTypeCategory()`
`EEnum` `getXSDDerivationMethod()`
`EAttribute` `getXSDDiagnostic_AnnotationURI()`
`EAttribute` `getXSDDiagnostic_Column()`
`EReference` `getXSDDiagnostic_Components()`
`EAttribute` `getXSDDiagnostic_Key()`
`EAttribute` `getXSDDiagnostic_Line()`
`EAttribute` `getXSDDiagnostic_LocationURI()`
`EAttribute` `getXSDDiagnostic_Message()`
`EAttribute` `getXSDDiagnostic_Node()`
`EReference` `getXSDDiagnostic_PrimaryComponent()`
`EAttribute` `getXSDDiagnostic_Severity()`
`EAttribute` `getXSDDiagnostic_Substitutions()`
`EClass` `getXSDDiagnostic()`
`EEnum` `getXSDDiagnosticSeverity()`
`EEnum` `getXSDDisallowedSubstitutions()`
`EAttribute` `getXSDElementDeclaration_Abstract()`
`EReference` `getXSDElementDeclaration_Annotation()`
`EReference` `getXSDElementDeclaration_AnonymousTypeDefinition()`
`EAttribute` `getXSDElementDeclaration_Block()`
`EAttribute` `getXSDElementDeclaration_Circular()`
`EAttribute` `getXSDElementDeclaration_DisallowedSubstitutions()`
`EAttribute` `getXSDElementDeclaration_ElementDeclarationReference()`
`EReference` `getXSDElementDeclaration_IdentityConstraintDefinitions()`
`EAttribute` `getXSDElementDeclaration_LexicalFinal()`
`EAttribute` `getXSDElementDeclaration_Nillable()`
`EReference` `getXSDElementDeclaration_ResolvedElementDeclaration()`
`EReference` `getXSDElementDeclaration_SubstitutionGroup()`
`EReference` `getXSDElementDeclaration_SubstitutionGroupAffiliation()`
`EAttribute` `getXSDElementDeclaration_SubstitutionGroupExclusions()`
`EReference` `getXSDElementDeclaration_TypeDefinition()`
`EClass` `getXSDElementDeclaration()`
`EAttribute` `getXSDEnumerationFacet_Value()`
`EClass` `getXSDEnumerationFacet()`
`EReference` `getXSDFacet_Annotation()`
`EAttribute` `getXSDFacet_EffectiveValue()`
`EAttribute` `getXSDFacet_FacetName()`
`EAttribute` `getXSDFacet_LexicalValue()`
`EReference` `getXSDFacet_SimpleTypeDefinition()`
`EClass` `getXSDFacet()`
`XSDFactory` `getXSDFactory()`
`EAttribute` `getXSDFeature_Constraint()`
`EAttribute` `getXSDFeature_FeatureReference()`
`EAttribute` `getXSDFeature_Form()`
`EAttribute` `getXSDFeature_Global()`
`EAttribute` `getXSDFeature_LexicalValue()`
`EReference` `getXSDFeature_ResolvedFeature()`
`EReference` `getXSDFeature_Scope()`
`EReference` `getXSDFeature_Type()`
`EAttribute` `getXSDFeature_Value()`
`EClass` `getXSDFeature()`
`EAttribute` `getXSDFixedFacet_Fixed()`
`EClass` `getXSDFixedFacet()`
`EEnum` `getXSDForm()`
`EAttribute` `getXSDFractionDigitsFacet_Value()`
`EClass` `getXSDFractionDigitsFacet()`
`EClass` `getXSDFundamentalFacet()`
`EEnum` `getXSDIdentityConstraintCategory()`
`EReference` `getXSDIdentityConstraintDefinition_Annotation()`
`EReference` `getXSDIdentityConstraintDefinition_Fields()`
`EAttribute` `getXSDIdentityConstraintDefinition_IdentityConstraintCategory()`
`EReference` `getXSDIdentityConstraintDefinition_ReferencedKey()`
`EReference` `getXSDIdentityConstraintDefinition_Selector()`
`EClass` `getXSDIdentityConstraintDefinition()`
`EReference` `getXSDImport_Annotation()`
`EAttribute` `getXSDImport_Namespace()`
`EClass` `getXSDImport()`
`EReference` `getXSDInclude_Annotation()`
`EClass` `getXSDInclude()`
`EAttribute` `getXSDLengthFacet_Value()`
`EClass` `getXSDLengthFacet()`
`EClass` `getXSDMaxExclusiveFacet()`
`EAttribute` `getXSDMaxFacet_Exclusive()`
`EAttribute` `getXSDMaxFacet_Inclusive()`
`EAttribute` `getXSDMaxFacet_Value()`
`EClass` `getXSDMaxFacet()`
`EClass` `getXSDMaxInclusiveFacet()`
`EAttribute` `getXSDMaxLengthFacet_Value()`
`EClass` `getXSDMaxLengthFacet()`
`EClass` `getXSDMinExclusiveFacet()`
`EAttribute` `getXSDMinFacet_Exclusive()`
`EAttribute` `getXSDMinFacet_Inclusive()`
`EAttribute` `getXSDMinFacet_Value()`
`EClass` `getXSDMinFacet()`
`EClass` `getXSDMinInclusiveFacet()`
`EAttribute` `getXSDMinLengthFacet_Value()`
`EClass` `getXSDMinLengthFacet()`
`EReference` `getXSDModelGroup_Annotation()`
`EAttribute` `getXSDModelGroup_Compositor()`
`EReference` `getXSDModelGroup_Contents()`
`EReference` `getXSDModelGroup_Particles()`
`EClass` `getXSDModelGroup()`
`EReference` `getXSDModelGroupDefinition_Annotation()`
`EReference` `getXSDModelGroupDefinition_ModelGroup()`
`EAttribute` `getXSDModelGroupDefinition_ModelGroupDefinitionReference()`
`EReference` `getXSDModelGroupDefinition_ResolvedModelGroupDefinition()`
`EClass` `getXSDModelGroupDefinition()`
`EAttribute` `getXSDNamedComponent_AliasName()`
`EAttribute` `getXSDNamedComponent_AliasURI()`
`EAttribute` `getXSDNamedComponent_Name()`
`EAttribute` `getXSDNamedComponent_QName()`
`EAttribute` `getXSDNamedComponent_TargetNamespace()`
`EAttribute` `getXSDNamedComponent_URI()`
`EClass` `getXSDNamedComponent()`
`EEnum` `getXSDNamespaceConstraintCategory()`
`EReference` `getXSDNotationDeclaration_Annotation()`
`EAttribute` `getXSDNotationDeclaration_PublicIdentifier()`
`EAttribute` `getXSDNotationDeclaration_SystemIdentifier()`
`EClass` `getXSDNotationDeclaration()`
`EAttribute` `getXSDNumericFacet_Value()`
`EClass` `getXSDNumericFacet()`
`EEnum` `getXSDOrdered()`
`EAttribute` `getXSDOrderedFacet_Value()`
`EClass` `getXSDOrderedFacet()`
`EReference` `getXSDParticle_Content()`
`EAttribute` `getXSDParticle_MaxOccurs()`
`EAttribute` `getXSDParticle_MinOccurs()`
`EReference` `getXSDParticle_Term()`
`EClass` `getXSDParticle()`
`EClass` `getXSDParticleContent()`
`EAttribute` `getXSDPatternFacet_Value()`
`EClass` `getXSDPatternFacet()`
`EEnum` `getXSDProcessContents()`
`EEnum` `getXSDProhibitedSubstitutions()`
`EAttribute` `getXSDRedefinableComponent_Circular()`
`EClass` `getXSDRedefinableComponent()`
`EReference` `getXSDRedefine_Annotations()`
`EReference` `getXSDRedefine_Contents()`
`EClass` `getXSDRedefine()`
`EClass` `getXSDRedefineContent()`
`EReference` `getXSDRepeatableFacet_Annotations()`
`EClass` `getXSDRepeatableFacet()`
`EReference` `getXSDSchema_AllDiagnostics()`
`EReference` `getXSDSchema_Annotations()`
`EReference` `getXSDSchema_AttributeDeclarations()`
`EAttribute` `getXSDSchema_AttributeFormDefault()`
`EReference` `getXSDSchema_AttributeGroupDefinitions()`
`EAttribute` `getXSDSchema_BlockDefault()`
`EReference` `getXSDSchema_Contents()`
`EAttribute` `getXSDSchema_Document()`
`EReference` `getXSDSchema_ElementDeclarations()`
`EAttribute` `getXSDSchema_ElementFormDefault()`
`EAttribute` `getXSDSchema_FinalDefault()`
`EReference` `getXSDSchema_IdentityConstraintDefinitions()`
`EReference` `getXSDSchema_IncorporatedVersions()`
`EReference` `getXSDSchema_ModelGroupDefinitions()`
`EReference` `getXSDSchema_NotationDeclarations()`
`EReference` `getXSDSchema_OriginalVersion()`
`EReference` `getXSDSchema_ReferencingDirectives()`
`EReference` `getXSDSchema_RootVersion()`
`EReference` `getXSDSchema_SchemaForSchema()`
`EAttribute` `getXSDSchema_SchemaLocation()`
`EAttribute` `getXSDSchema_TargetNamespace()`
`EReference` `getXSDSchema_TypeDefinitions()`
`EAttribute` `getXSDSchema_Version()`
`EClass` `getXSDSchema()`
`EReference` `getXSDSchemaCompositor_IncorporatedSchema()`
`EClass` `getXSDSchemaCompositor()`
`EClass` `getXSDSchemaContent()`
`EReference` `getXSDSchemaDirective_ResolvedSchema()`
`EAttribute` `getXSDSchemaDirective_SchemaLocation()`
`EClass` `getXSDSchemaDirective()`
`EClass` `getXSDScope()`
`EEnum` `getXSDSimpleFinal()`
`EReference` `getXSDSimpleTypeDefinition_BaseTypeDefinition()`
`EReference` `getXSDSimpleTypeDefinition_BoundedFacet()`
`EReference` `getXSDSimpleTypeDefinition_CardinalityFacet()`
`EReference` `getXSDSimpleTypeDefinition_Contents()`
`EReference` `getXSDSimpleTypeDefinition_EffectiveEnumerationFacet()`
`EReference` `getXSDSimpleTypeDefinition_EffectiveFractionDigitsFacet()`
`EReference` `getXSDSimpleTypeDefinition_EffectiveLengthFacet()`
`EReference` `getXSDSimpleTypeDefinition_EffectiveMaxFacet()`
`EReference` `getXSDSimpleTypeDefinition_EffectiveMaxLengthFacet()`
`EReference` `getXSDSimpleTypeDefinition_EffectiveMinFacet()`
`EReference` `getXSDSimpleTypeDefinition_EffectiveMinLengthFacet()`
`EReference` `getXSDSimpleTypeDefinition_EffectivePatternFacet()`
`EReference` `getXSDSimpleTypeDefinition_EffectiveTotalDigitsFacet()`
`EReference` `getXSDSimpleTypeDefinition_EffectiveWhiteSpaceFacet()`
`EReference` `getXSDSimpleTypeDefinition_EnumerationFacets()`
`EReference` `getXSDSimpleTypeDefinition_FacetContents()`
`EReference` `getXSDSimpleTypeDefinition_Facets()`
`EAttribute` `getXSDSimpleTypeDefinition_Final()`
`EReference` `getXSDSimpleTypeDefinition_FractionDigitsFacet()`
`EReference` `getXSDSimpleTypeDefinition_FundamentalFacets()`
`EReference` `getXSDSimpleTypeDefinition_ItemTypeDefinition()`
`EReference` `getXSDSimpleTypeDefinition_LengthFacet()`
`EAttribute` `getXSDSimpleTypeDefinition_LexicalFinal()`
`EReference` `getXSDSimpleTypeDefinition_MaxExclusiveFacet()`
`EReference` `getXSDSimpleTypeDefinition_MaxFacet()`
`EReference` `getXSDSimpleTypeDefinition_MaxInclusiveFacet()`
`EReference` `getXSDSimpleTypeDefinition_MaxLengthFacet()`
`EReference` `getXSDSimpleTypeDefinition_MemberTypeDefinitions()`
`EReference` `getXSDSimpleTypeDefinition_MinExclusiveFacet()`
`EReference` `getXSDSimpleTypeDefinition_MinFacet()`
`EReference` `getXSDSimpleTypeDefinition_MinInclusiveFacet()`
`EReference` `getXSDSimpleTypeDefinition_MinLengthFacet()`
`EReference` `getXSDSimpleTypeDefinition_NumericFacet()`
`EReference` `getXSDSimpleTypeDefinition_OrderedFacet()`
`EReference` `getXSDSimpleTypeDefinition_PatternFacets()`
`EReference` `getXSDSimpleTypeDefinition_PrimitiveTypeDefinition()`
`EReference` `getXSDSimpleTypeDefinition_RootTypeDefinition()`
`EReference` `getXSDSimpleTypeDefinition_SyntheticFacets()`
`EReference` `getXSDSimpleTypeDefinition_TotalDigitsFacet()`
`EAttribute` `getXSDSimpleTypeDefinition_ValidFacets()`
`EAttribute` `getXSDSimpleTypeDefinition_Variety()`
`EReference` `getXSDSimpleTypeDefinition_WhiteSpaceFacet()`
`EClass` `getXSDSimpleTypeDefinition()`
`EEnum` `getXSDSubstitutionGroupExclusions()`
`EClass` `getXSDTerm()`
`EAttribute` `getXSDTotalDigitsFacet_Value()`
`EClass` `getXSDTotalDigitsFacet()`
`EReference` `getXSDTypeDefinition_Annotation()`
`EReference` `getXSDTypeDefinition_Annotations()`
`EReference` `getXSDTypeDefinition_BaseType()`
`EReference` `getXSDTypeDefinition_ComplexType()`
`EReference` `getXSDTypeDefinition_DerivationAnnotation()`
`EReference` `getXSDTypeDefinition_RootType()`
`EReference` `getXSDTypeDefinition_SimpleType()`
`EClass` `getXSDTypeDefinition()`
`EEnum` `getXSDVariety()`
`EEnum` `getXSDWhiteSpace()`
`EAttribute` `getXSDWhiteSpaceFacet_Value()`
`EClass` `getXSDWhiteSpaceFacet()`
`EReference` `getXSDWildcard_Annotation()`
`EReference` `getXSDWildcard_Annotations()`
`EAttribute` `getXSDWildcard_LexicalNamespaceConstraint()`
`EAttribute` `getXSDWildcard_NamespaceConstraint()`
`EAttribute` `getXSDWildcard_NamespaceConstraintCategory()`
`EAttribute` `getXSDWildcard_ProcessContents()`
`EClass` `getXSDWildcard()`
`EReference` `getXSDXPathDefinition_Annotation()`
`EAttribute` `getXSDXPathDefinition_Value()`
`EAttribute` `getXSDXPathDefinition_Variety()`
`EClass` `getXSDXPathDefinition()`
`EEnum` `getXSDXPathVariety()`
`static XSDPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProperties, eProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getXSDAnnotation

    public EClass getXSDAnnotation()

  Specified by:
    `getXSDAnnotation` in interface `XSDPackage`
  Returns:
    the meta object for class 'Annotation'.
  See Also:
    `XSDAnnotation`

### getXSDAnnotation_ApplicationInformation

    public EAttribute getXSDAnnotation_ApplicationInformation()

  Specified by:
    `getXSDAnnotation_ApplicationInformation` in interface `XSDPackage`
  Returns:
    the meta object for the attribute list 'Application Information'.
  See Also:
    `XSDAnnotation.getApplicationInformation()`, `XSDPackage.getXSDAnnotation()`

### getXSDAnnotation_UserInformation

    public EAttribute getXSDAnnotation_UserInformation()

  Specified by:
    `getXSDAnnotation_UserInformation` in interface `XSDPackage`
  Returns:
    the meta object for the attribute list 'User Information'.
  See Also:
    `XSDAnnotation.getUserInformation()`, `XSDPackage.getXSDAnnotation()`

### getXSDAnnotation_Attributes

    public EAttribute getXSDAnnotation_Attributes()

  Specified by:
    `getXSDAnnotation_Attributes` in interface `XSDPackage`
  Returns:
    the meta object for the attribute list 'Attributes'.
  See Also:
    `XSDAnnotation.getAttributes()`, `XSDPackage.getXSDAnnotation()`

### getXSDAttributeDeclaration

    public EClass getXSDAttributeDeclaration()

  Specified by:
    `getXSDAttributeDeclaration` in interface `XSDPackage`
  Returns:
    the meta object for class 'Attribute Declaration'.
  See Also:
    `XSDAttributeDeclaration`

### getXSDAttributeDeclaration_AttributeDeclarationReference

    public EAttribute getXSDAttributeDeclaration_AttributeDeclarationReference()

  Specified by:
    `getXSDAttributeDeclaration_AttributeDeclarationReference` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Attribute Declaration Reference'.
  See Also:
    `XSDAttributeDeclaration.isAttributeDeclarationReference()`, `XSDPackage.getXSDAttributeDeclaration()`

### getXSDAttributeDeclaration_Annotation

    public EReference getXSDAttributeDeclaration_Annotation()

  Specified by:
    `getXSDAttributeDeclaration_Annotation` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference 'Annotation'.
  See Also:
    `XSDAttributeDeclaration.getAnnotation()`, `XSDPackage.getXSDAttributeDeclaration()`

### getXSDAttributeDeclaration_AnonymousTypeDefinition

    public EReference getXSDAttributeDeclaration_AnonymousTypeDefinition()

  Specified by:
    `getXSDAttributeDeclaration_AnonymousTypeDefinition` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference 'Anonymous Type Definition'.
  See Also:
    `XSDAttributeDeclaration.getAnonymousTypeDefinition()`, `XSDPackage.getXSDAttributeDeclaration()`

### getXSDAttributeDeclaration_TypeDefinition

    public EReference getXSDAttributeDeclaration_TypeDefinition()

  Specified by:
    `getXSDAttributeDeclaration_TypeDefinition` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Type Definition'.
  See Also:
    `XSDAttributeDeclaration.getTypeDefinition()`, `XSDPackage.getXSDAttributeDeclaration()`

### getXSDAttributeDeclaration_ResolvedAttributeDeclaration

    public EReference getXSDAttributeDeclaration_ResolvedAttributeDeclaration()

  Specified by:
    `getXSDAttributeDeclaration_ResolvedAttributeDeclaration` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Resolved Attribute Declaration'.
  See Also:
    `XSDAttributeDeclaration.getResolvedAttributeDeclaration()`, `XSDPackage.getXSDAttributeDeclaration()`

### getXSDAttributeGroupContent

    public EClass getXSDAttributeGroupContent()

  Specified by:
    `getXSDAttributeGroupContent` in interface `XSDPackage`
  Returns:
    the meta object for class 'Attribute Group Content'.
  See Also:
    `XSDAttributeGroupContent`

### getXSDAttributeGroupDefinition

    public EClass getXSDAttributeGroupDefinition()

  Specified by:
    `getXSDAttributeGroupDefinition` in interface `XSDPackage`
  Returns:
    the meta object for class 'Attribute Group Definition'.
  See Also:
    `XSDAttributeGroupDefinition`

### getXSDAttributeGroupDefinition_AttributeGroupDefinitionReference

    public EAttribute getXSDAttributeGroupDefinition_AttributeGroupDefinitionReference()

  Specified by:
    `getXSDAttributeGroupDefinition_AttributeGroupDefinitionReference` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Attribute Group Definition Reference'.
  See Also:
    `XSDAttributeGroupDefinition.isAttributeGroupDefinitionReference()`, `XSDPackage.getXSDAttributeGroupDefinition()`

### getXSDAttributeGroupDefinition_Annotation

    public EReference getXSDAttributeGroupDefinition_Annotation()

  Specified by:
    `getXSDAttributeGroupDefinition_Annotation` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference 'Annotation'.
  See Also:
    `XSDAttributeGroupDefinition.getAnnotation()`, `XSDPackage.getXSDAttributeGroupDefinition()`

### getXSDAttributeGroupDefinition_Contents

    public EReference getXSDAttributeGroupDefinition_Contents()

  Specified by:
    `getXSDAttributeGroupDefinition_Contents` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference list 'Contents'.
  See Also:
    `XSDAttributeGroupDefinition.getContents()`, `XSDPackage.getXSDAttributeGroupDefinition()`

### getXSDAttributeGroupDefinition_AttributeUses

    public EReference getXSDAttributeGroupDefinition_AttributeUses()

  Specified by:
    `getXSDAttributeGroupDefinition_AttributeUses` in interface `XSDPackage`
  Returns:
    the meta object for the reference list 'Attribute Uses'.
  See Also:
    `XSDAttributeGroupDefinition.getAttributeUses()`, `XSDPackage.getXSDAttributeGroupDefinition()`

### getXSDAttributeGroupDefinition_AttributeWildcardContent

    public EReference getXSDAttributeGroupDefinition_AttributeWildcardContent()

  Specified by:
    `getXSDAttributeGroupDefinition_AttributeWildcardContent` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference 'Attribute Wildcard Content'.
  See Also:
    `XSDAttributeGroupDefinition.getAttributeWildcardContent()`, `XSDPackage.getXSDAttributeGroupDefinition()`

### getXSDAttributeGroupDefinition_AttributeWildcard

    public EReference getXSDAttributeGroupDefinition_AttributeWildcard()

  Specified by:
    `getXSDAttributeGroupDefinition_AttributeWildcard` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Attribute Wildcard'.
  See Also:
    `XSDAttributeGroupDefinition.getAttributeWildcard()`, `XSDPackage.getXSDAttributeGroupDefinition()`

### getXSDAttributeGroupDefinition_ResolvedAttributeGroupDefinition

    public EReference getXSDAttributeGroupDefinition_ResolvedAttributeGroupDefinition()

  Specified by:
    `getXSDAttributeGroupDefinition_ResolvedAttributeGroupDefinition` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Resolved Attribute Group Definition'.
  See Also:
    `XSDAttributeGroupDefinition.getResolvedAttributeGroupDefinition()`, `XSDPackage.getXSDAttributeGroupDefinition()`

### getXSDAttributeGroupDefinition_SyntheticWildcard

    public EReference getXSDAttributeGroupDefinition_SyntheticWildcard()

  Specified by:
    `getXSDAttributeGroupDefinition_SyntheticWildcard` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference 'Synthetic Wildcard'.
  See Also:
    `XSDAttributeGroupDefinition.getSyntheticWildcard()`, `XSDPackage.getXSDAttributeGroupDefinition()`

### getXSDAttributeUse

    public EClass getXSDAttributeUse()

  Specified by:
    `getXSDAttributeUse` in interface `XSDPackage`
  Returns:
    the meta object for class 'Attribute Use'.
  See Also:
    `XSDAttributeUse`

### getXSDAttributeUse_Required

    public EAttribute getXSDAttributeUse_Required()

  Specified by:
    `getXSDAttributeUse_Required` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Required'.
  See Also:
    `XSDAttributeUse.isRequired()`, `XSDPackage.getXSDAttributeUse()`

### getXSDAttributeUse_Value

    public EAttribute getXSDAttributeUse_Value()

  Specified by:
    `getXSDAttributeUse_Value` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDAttributeUse.getValue()`, `XSDPackage.getXSDAttributeUse()`

### getXSDAttributeUse_Constraint

    public EAttribute getXSDAttributeUse_Constraint()

  Specified by:
    `getXSDAttributeUse_Constraint` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Constraint'.
  See Also:
    `XSDAttributeUse.getConstraint()`, `XSDPackage.getXSDAttributeUse()`

### getXSDAttributeUse_Use

    public EAttribute getXSDAttributeUse_Use()

  Specified by:
    `getXSDAttributeUse_Use` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Use'.
  See Also:
    `XSDAttributeUse.getUse()`, `XSDPackage.getXSDAttributeUse()`

### getXSDAttributeUse_LexicalValue

    public EAttribute getXSDAttributeUse_LexicalValue()

  Specified by:
    `getXSDAttributeUse_LexicalValue` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Lexical Value'.
  See Also:
    `XSDAttributeUse.getLexicalValue()`, `XSDPackage.getXSDAttributeUse()`

### getXSDAttributeUse_AttributeDeclaration

    public EReference getXSDAttributeUse_AttributeDeclaration()

  Specified by:
    `getXSDAttributeUse_AttributeDeclaration` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Attribute Declaration'.
  See Also:
    `XSDAttributeUse.getAttributeDeclaration()`, `XSDPackage.getXSDAttributeUse()`

### getXSDAttributeUse_Content

    public EReference getXSDAttributeUse_Content()

  Specified by:
    `getXSDAttributeUse_Content` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference 'Content'.
  See Also:
    `XSDAttributeUse.getContent()`, `XSDPackage.getXSDAttributeUse()`

### getXSDBoundedFacet

    public EClass getXSDBoundedFacet()

  Specified by:
    `getXSDBoundedFacet` in interface `XSDPackage`
  Returns:
    the meta object for class 'Bounded Facet'.
  See Also:
    `XSDBoundedFacet`

### getXSDBoundedFacet_Value

    public EAttribute getXSDBoundedFacet_Value()

  Specified by:
    `getXSDBoundedFacet_Value` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDBoundedFacet.isValue()`, `XSDPackage.getXSDBoundedFacet()`

### getXSDCardinalityFacet

    public EClass getXSDCardinalityFacet()

  Specified by:
    `getXSDCardinalityFacet` in interface `XSDPackage`
  Returns:
    the meta object for class 'Cardinality Facet'.
  See Also:
    `XSDCardinalityFacet`

### getXSDCardinalityFacet_Value

    public EAttribute getXSDCardinalityFacet_Value()

  Specified by:
    `getXSDCardinalityFacet_Value` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDCardinalityFacet.getValue()`, `XSDPackage.getXSDCardinalityFacet()`

### getXSDComplexTypeContent

    public EClass getXSDComplexTypeContent()

  Specified by:
    `getXSDComplexTypeContent` in interface `XSDPackage`
  Returns:
    the meta object for class 'Complex Type Content'.
  See Also:
    `XSDComplexTypeContent`

### getXSDComplexTypeDefinition

    public EClass getXSDComplexTypeDefinition()

  Specified by:
    `getXSDComplexTypeDefinition` in interface `XSDPackage`
  Returns:
    the meta object for class 'Complex Type Definition'.
  See Also:
    `XSDComplexTypeDefinition`

### getXSDComplexTypeDefinition_DerivationMethod

    public EAttribute getXSDComplexTypeDefinition_DerivationMethod()

  Specified by:
    `getXSDComplexTypeDefinition_DerivationMethod` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Derivation Method'.
  See Also:
    `XSDComplexTypeDefinition.getDerivationMethod()`, `XSDPackage.getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_Final

    public EAttribute getXSDComplexTypeDefinition_Final()

  Specified by:
    `getXSDComplexTypeDefinition_Final` in interface `XSDPackage`
  Returns:
    the meta object for the attribute list 'Final'.
  See Also:
    `XSDComplexTypeDefinition.getFinal()`, `XSDPackage.getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_Abstract

    public EAttribute getXSDComplexTypeDefinition_Abstract()

  Specified by:
    `getXSDComplexTypeDefinition_Abstract` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Abstract'.
  See Also:
    `XSDComplexTypeDefinition.isAbstract()`, `XSDPackage.getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_ContentTypeCategory

    public EAttribute getXSDComplexTypeDefinition_ContentTypeCategory()

  Specified by:
    `getXSDComplexTypeDefinition_ContentTypeCategory` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Content Type Category'.
  See Also:
    `XSDComplexTypeDefinition.getContentTypeCategory()`, `XSDPackage.getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_ProhibitedSubstitutions

    public EAttribute getXSDComplexTypeDefinition_ProhibitedSubstitutions()

  Specified by:
    `getXSDComplexTypeDefinition_ProhibitedSubstitutions` in interface `XSDPackage`
  Returns:
    the meta object for the attribute list 'Prohibited Substitutions'.
  See Also:
    `XSDComplexTypeDefinition.getProhibitedSubstitutions()`, `XSDPackage.getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_LexicalFinal

    public EAttribute getXSDComplexTypeDefinition_LexicalFinal()

  Specified by:
    `getXSDComplexTypeDefinition_LexicalFinal` in interface `XSDPackage`
  Returns:
    the meta object for the attribute list 'Lexical Final'.
  See Also:
    `XSDComplexTypeDefinition.getLexicalFinal()`, `XSDPackage.getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_Block

    public EAttribute getXSDComplexTypeDefinition_Block()

  Specified by:
    `getXSDComplexTypeDefinition_Block` in interface `XSDPackage`
  Returns:
    the meta object for the attribute list 'Block'.
  See Also:
    `XSDComplexTypeDefinition.getBlock()`, `XSDPackage.getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_Mixed

    public EAttribute getXSDComplexTypeDefinition_Mixed()

  Specified by:
    `getXSDComplexTypeDefinition_Mixed` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Mixed'.
  See Also:
    `XSDComplexTypeDefinition.isMixed()`, `XSDPackage.getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_ContentAnnotation

    public EReference getXSDComplexTypeDefinition_ContentAnnotation()

  Specified by:
    `getXSDComplexTypeDefinition_ContentAnnotation` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference 'Content Annotation'.
  See Also:
    `XSDComplexTypeDefinition.getContentAnnotation()`, `XSDPackage.getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_BaseTypeDefinition

    public EReference getXSDComplexTypeDefinition_BaseTypeDefinition()

  Specified by:
    `getXSDComplexTypeDefinition_BaseTypeDefinition` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Base Type Definition'.
  See Also:
    `XSDComplexTypeDefinition.getBaseTypeDefinition()`, `XSDPackage.getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_Content

    public EReference getXSDComplexTypeDefinition_Content()

  Specified by:
    `getXSDComplexTypeDefinition_Content` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference 'Content'.
  See Also:
    `XSDComplexTypeDefinition.getContent()`, `XSDPackage.getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_ContentType

    public EReference getXSDComplexTypeDefinition_ContentType()

  Specified by:
    `getXSDComplexTypeDefinition_ContentType` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Content Type'.
  See Also:
    `XSDComplexTypeDefinition.getContentType()`, `XSDPackage.getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_AttributeUses

    public EReference getXSDComplexTypeDefinition_AttributeUses()

  Specified by:
    `getXSDComplexTypeDefinition_AttributeUses` in interface `XSDPackage`
  Returns:
    the meta object for the reference list 'Attribute Uses'.
  See Also:
    `XSDComplexTypeDefinition.getAttributeUses()`, `XSDPackage.getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_AttributeContents

    public EReference getXSDComplexTypeDefinition_AttributeContents()

  Specified by:
    `getXSDComplexTypeDefinition_AttributeContents` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference list 'Attribute Contents'.
  See Also:
    `XSDComplexTypeDefinition.getAttributeContents()`, `XSDPackage.getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_AttributeWildcard

    public EReference getXSDComplexTypeDefinition_AttributeWildcard()

  Specified by:
    `getXSDComplexTypeDefinition_AttributeWildcard` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Attribute Wildcard'.
  See Also:
    `XSDComplexTypeDefinition.getAttributeWildcard()`, `XSDPackage.getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_AttributeWildcardContent

    public EReference getXSDComplexTypeDefinition_AttributeWildcardContent()

  Specified by:
    `getXSDComplexTypeDefinition_AttributeWildcardContent` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference 'Attribute Wildcard Content'.
  See Also:
    `XSDComplexTypeDefinition.getAttributeWildcardContent()`, `XSDPackage.getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_RootTypeDefinition

    public EReference getXSDComplexTypeDefinition_RootTypeDefinition()

  Specified by:
    `getXSDComplexTypeDefinition_RootTypeDefinition` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Root Type Definition'.
  See Also:
    `XSDComplexTypeDefinition.getRootTypeDefinition()`, `XSDPackage.getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_SyntheticParticle

    public EReference getXSDComplexTypeDefinition_SyntheticParticle()

  Specified by:
    `getXSDComplexTypeDefinition_SyntheticParticle` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference 'Synthetic Particle'.
  See Also:
    `XSDComplexTypeDefinition.getSyntheticParticle()`, `XSDPackage.getXSDComplexTypeDefinition()`

### getXSDComplexTypeDefinition_SyntheticWildcard

    public EReference getXSDComplexTypeDefinition_SyntheticWildcard()

  Specified by:
    `getXSDComplexTypeDefinition_SyntheticWildcard` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference 'Synthetic Wildcard'.
  See Also:
    `XSDComplexTypeDefinition.getSyntheticWildcard()`, `XSDPackage.getXSDComplexTypeDefinition()`

### getXSDComponent

    public EClass getXSDComponent()

  Specified by:
    `getXSDComponent` in interface `XSDPackage`
  Returns:
    the meta object for class 'Component'.
  See Also:
    `XSDComponent`

### getXSDConcreteComponent

    public EClass getXSDConcreteComponent()

  Specified by:
    `getXSDConcreteComponent` in interface `XSDPackage`
  Returns:
    the meta object for class 'Concrete Component'.
  See Also:
    `XSDConcreteComponent`

### getXSDConcreteComponent_Element

    public EAttribute getXSDConcreteComponent_Element()

  Specified by:
    `getXSDConcreteComponent_Element` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Element'.
  See Also:
    `XSDConcreteComponent.getElement()`, `XSDPackage.getXSDConcreteComponent()`

### getXSDConcreteComponent_Container

    public EReference getXSDConcreteComponent_Container()

  Specified by:
    `getXSDConcreteComponent_Container` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Container'.
  See Also:
    `XSDConcreteComponent.getContainer()`, `XSDPackage.getXSDConcreteComponent()`

### getXSDConcreteComponent_RootContainer

    public EReference getXSDConcreteComponent_RootContainer()

  Specified by:
    `getXSDConcreteComponent_RootContainer` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Root Container'.
  See Also:
    `XSDConcreteComponent.getRootContainer()`, `XSDPackage.getXSDConcreteComponent()`

### getXSDConcreteComponent_Schema

    public EReference getXSDConcreteComponent_Schema()

  Specified by:
    `getXSDConcreteComponent_Schema` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Schema'.
  See Also:
    `XSDConcreteComponent.getSchema()`, `XSDPackage.getXSDConcreteComponent()`

### getXSDConcreteComponent_Diagnostics

    public EReference getXSDConcreteComponent_Diagnostics()

  Specified by:
    `getXSDConcreteComponent_Diagnostics` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference list 'Diagnostics'.
  See Also:
    `XSDConcreteComponent.getDiagnostics()`, `XSDPackage.getXSDConcreteComponent()`

### getXSDConstrainingFacet

    public EClass getXSDConstrainingFacet()

  Specified by:
    `getXSDConstrainingFacet` in interface `XSDPackage`
  Returns:
    the meta object for class 'Constraining Facet'.
  See Also:
    `XSDConstrainingFacet`

### getXSDDiagnostic

    public EClass getXSDDiagnostic()

  Specified by:
    `getXSDDiagnostic` in interface `XSDPackage`
  Returns:
    the meta object for class 'Diagnostic'.
  See Also:
    `XSDDiagnostic`

### getXSDDiagnostic_Severity

    public EAttribute getXSDDiagnostic_Severity()

  Specified by:
    `getXSDDiagnostic_Severity` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Severity'.
  See Also:
    `XSDDiagnostic.getSeverity()`, `XSDPackage.getXSDDiagnostic()`

### getXSDDiagnostic_Message

    public EAttribute getXSDDiagnostic_Message()

  Specified by:
    `getXSDDiagnostic_Message` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Message'.
  See Also:
    `XSDDiagnostic.getMessage()`, `XSDPackage.getXSDDiagnostic()`

### getXSDDiagnostic_LocationURI

    public EAttribute getXSDDiagnostic_LocationURI()

  Specified by:
    `getXSDDiagnostic_LocationURI` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Location URI'.
  See Also:
    `XSDDiagnostic.getLocationURI()`, `XSDPackage.getXSDDiagnostic()`

### getXSDDiagnostic_Line

    public EAttribute getXSDDiagnostic_Line()

  Specified by:
    `getXSDDiagnostic_Line` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Line'.
  See Also:
    `XSDDiagnostic.getLine()`, `XSDPackage.getXSDDiagnostic()`

### getXSDDiagnostic_Column

    public EAttribute getXSDDiagnostic_Column()

  Specified by:
    `getXSDDiagnostic_Column` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Column'.
  See Also:
    `XSDDiagnostic.getColumn()`, `XSDPackage.getXSDDiagnostic()`

### getXSDDiagnostic_Node

    public EAttribute getXSDDiagnostic_Node()

  Specified by:
    `getXSDDiagnostic_Node` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Node'.
  See Also:
    `XSDDiagnostic.getNode()`, `XSDPackage.getXSDDiagnostic()`

### getXSDDiagnostic_AnnotationURI

    public EAttribute getXSDDiagnostic_AnnotationURI()

  Specified by:
    `getXSDDiagnostic_AnnotationURI` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Annotation URI'.
  See Also:
    `XSDDiagnostic.getAnnotationURI()`, `XSDPackage.getXSDDiagnostic()`

### getXSDDiagnostic_Key

    public EAttribute getXSDDiagnostic_Key()

  Specified by:
    `getXSDDiagnostic_Key` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Key'.
  See Also:
    `XSDDiagnostic.getKey()`, `XSDPackage.getXSDDiagnostic()`

### getXSDDiagnostic_Substitutions

    public EAttribute getXSDDiagnostic_Substitutions()

  Specified by:
    `getXSDDiagnostic_Substitutions` in interface `XSDPackage`
  Returns:
    the meta object for the attribute list 'Substitutions'.
  See Also:
    `XSDDiagnostic.getSubstitutions()`, `XSDPackage.getXSDDiagnostic()`

### getXSDDiagnostic_Components

    public EReference getXSDDiagnostic_Components()

  Specified by:
    `getXSDDiagnostic_Components` in interface `XSDPackage`
  Returns:
    the meta object for the reference list 'Components'.
  See Also:
    `XSDDiagnostic.getComponents()`, `XSDPackage.getXSDDiagnostic()`

### getXSDDiagnostic_PrimaryComponent

    public EReference getXSDDiagnostic_PrimaryComponent()

  Specified by:
    `getXSDDiagnostic_PrimaryComponent` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Primary Component'.
  See Also:
    `XSDDiagnostic.getPrimaryComponent()`, `XSDPackage.getXSDDiagnostic()`

### getXSDElementDeclaration

    public EClass getXSDElementDeclaration()

  Specified by:
    `getXSDElementDeclaration` in interface `XSDPackage`
  Returns:
    the meta object for class 'Element Declaration'.
  See Also:
    `XSDElementDeclaration`

### getXSDElementDeclaration_Nillable

    public EAttribute getXSDElementDeclaration_Nillable()

  Specified by:
    `getXSDElementDeclaration_Nillable` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Nillable'.
  See Also:
    `XSDElementDeclaration.isNillable()`, `XSDPackage.getXSDElementDeclaration()`

### getXSDElementDeclaration_DisallowedSubstitutions

    public EAttribute getXSDElementDeclaration_DisallowedSubstitutions()

  Specified by:
    `getXSDElementDeclaration_DisallowedSubstitutions` in interface `XSDPackage`
  Returns:
    the meta object for the attribute list 'Disallowed Substitutions'.
  See Also:
    `XSDElementDeclaration.getDisallowedSubstitutions()`, `XSDPackage.getXSDElementDeclaration()`

### getXSDElementDeclaration_SubstitutionGroupExclusions

    public EAttribute getXSDElementDeclaration_SubstitutionGroupExclusions()

  Specified by:
    `getXSDElementDeclaration_SubstitutionGroupExclusions` in interface `XSDPackage`
  Returns:
    the meta object for the attribute list 'Substitution Group Exclusions'.
  See Also:
    `XSDElementDeclaration.getSubstitutionGroupExclusions()`, `XSDPackage.getXSDElementDeclaration()`

### getXSDElementDeclaration_Abstract

    public EAttribute getXSDElementDeclaration_Abstract()

  Specified by:
    `getXSDElementDeclaration_Abstract` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Abstract'.
  See Also:
    `XSDElementDeclaration.isAbstract()`, `XSDPackage.getXSDElementDeclaration()`

### getXSDElementDeclaration_LexicalFinal

    public EAttribute getXSDElementDeclaration_LexicalFinal()

  Specified by:
    `getXSDElementDeclaration_LexicalFinal` in interface `XSDPackage`
  Returns:
    the meta object for the attribute list 'Lexical Final'.
  See Also:
    `XSDElementDeclaration.getLexicalFinal()`, `XSDPackage.getXSDElementDeclaration()`

### getXSDElementDeclaration_Block

    public EAttribute getXSDElementDeclaration_Block()

  Specified by:
    `getXSDElementDeclaration_Block` in interface `XSDPackage`
  Returns:
    the meta object for the attribute list 'Block'.
  See Also:
    `XSDElementDeclaration.getBlock()`, `XSDPackage.getXSDElementDeclaration()`

### getXSDElementDeclaration_ElementDeclarationReference

    public EAttribute getXSDElementDeclaration_ElementDeclarationReference()

  Specified by:
    `getXSDElementDeclaration_ElementDeclarationReference` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Element Declaration Reference'.
  See Also:
    `XSDElementDeclaration.isElementDeclarationReference()`, `XSDPackage.getXSDElementDeclaration()`

### getXSDElementDeclaration_Circular

    public EAttribute getXSDElementDeclaration_Circular()

  Specified by:
    `getXSDElementDeclaration_Circular` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Circular'.
  See Also:
    `XSDElementDeclaration.isCircular()`, `XSDPackage.getXSDElementDeclaration()`

### getXSDElementDeclaration_Annotation

    public EReference getXSDElementDeclaration_Annotation()

  Specified by:
    `getXSDElementDeclaration_Annotation` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference 'Annotation'.
  See Also:
    `XSDElementDeclaration.getAnnotation()`, `XSDPackage.getXSDElementDeclaration()`

### getXSDElementDeclaration_AnonymousTypeDefinition

    public EReference getXSDElementDeclaration_AnonymousTypeDefinition()

  Specified by:
    `getXSDElementDeclaration_AnonymousTypeDefinition` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference 'Anonymous Type Definition'.
  See Also:
    `XSDElementDeclaration.getAnonymousTypeDefinition()`, `XSDPackage.getXSDElementDeclaration()`

### getXSDElementDeclaration_TypeDefinition

    public EReference getXSDElementDeclaration_TypeDefinition()

  Specified by:
    `getXSDElementDeclaration_TypeDefinition` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Type Definition'.
  See Also:
    `XSDElementDeclaration.getTypeDefinition()`, `XSDPackage.getXSDElementDeclaration()`

### getXSDElementDeclaration_IdentityConstraintDefinitions

    public EReference getXSDElementDeclaration_IdentityConstraintDefinitions()

  Specified by:
    `getXSDElementDeclaration_IdentityConstraintDefinitions` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference list 'Identity Constraint Definitions'.
  See Also:
    `XSDElementDeclaration.getIdentityConstraintDefinitions()`, `XSDPackage.getXSDElementDeclaration()`

### getXSDElementDeclaration_ResolvedElementDeclaration

    public EReference getXSDElementDeclaration_ResolvedElementDeclaration()

  Specified by:
    `getXSDElementDeclaration_ResolvedElementDeclaration` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Resolved Element Declaration'.
  See Also:
    `XSDElementDeclaration.getResolvedElementDeclaration()`, `XSDPackage.getXSDElementDeclaration()`

### getXSDElementDeclaration_SubstitutionGroupAffiliation

    public EReference getXSDElementDeclaration_SubstitutionGroupAffiliation()

  Specified by:
    `getXSDElementDeclaration_SubstitutionGroupAffiliation` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Substitution Group Affiliation'.
  See Also:
    `XSDElementDeclaration.getSubstitutionGroupAffiliation()`, `XSDPackage.getXSDElementDeclaration()`

### getXSDElementDeclaration_SubstitutionGroup

    public EReference getXSDElementDeclaration_SubstitutionGroup()

  Specified by:
    `getXSDElementDeclaration_SubstitutionGroup` in interface `XSDPackage`
  Returns:
    the meta object for the reference list 'Substitution Group'.
  See Also:
    `XSDElementDeclaration.getSubstitutionGroup()`, `XSDPackage.getXSDElementDeclaration()`

### getXSDEnumerationFacet

    public EClass getXSDEnumerationFacet()

  Specified by:
    `getXSDEnumerationFacet` in interface `XSDPackage`
  Returns:
    the meta object for class 'Enumeration Facet'.
  See Also:
    `XSDEnumerationFacet`

### getXSDEnumerationFacet_Value

    public EAttribute getXSDEnumerationFacet_Value()

  Specified by:
    `getXSDEnumerationFacet_Value` in interface `XSDPackage`
  Returns:
    the meta object for the attribute list 'Value'.
  See Also:
    `XSDEnumerationFacet.getValue()`, `XSDPackage.getXSDEnumerationFacet()`

### getXSDFacet

    public EClass getXSDFacet()

  Specified by:
    `getXSDFacet` in interface `XSDPackage`
  Returns:
    the meta object for class 'Facet'.
  See Also:
    `XSDFacet`

### getXSDFacet_LexicalValue

    public EAttribute getXSDFacet_LexicalValue()

  Specified by:
    `getXSDFacet_LexicalValue` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Lexical Value'.
  See Also:
    `XSDFacet.getLexicalValue()`, `XSDPackage.getXSDFacet()`

### getXSDFacet_FacetName

    public EAttribute getXSDFacet_FacetName()

  Specified by:
    `getXSDFacet_FacetName` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Facet Name'.
  See Also:
    `XSDFacet.getFacetName()`, `XSDPackage.getXSDFacet()`

### getXSDFacet_EffectiveValue

    public EAttribute getXSDFacet_EffectiveValue()

  Specified by:
    `getXSDFacet_EffectiveValue` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Effective Value'.
  See Also:
    `XSDFacet.getEffectiveValue()`, `XSDPackage.getXSDFacet()`

### getXSDFacet_Annotation

    public EReference getXSDFacet_Annotation()

  Specified by:
    `getXSDFacet_Annotation` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference 'Annotation'.
  See Also:
    `XSDFacet.getAnnotation()`, `XSDPackage.getXSDFacet()`

### getXSDFacet_SimpleTypeDefinition

    public EReference getXSDFacet_SimpleTypeDefinition()

  Specified by:
    `getXSDFacet_SimpleTypeDefinition` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Simple Type Definition'.
  See Also:
    `XSDFacet.getSimpleTypeDefinition()`, `XSDPackage.getXSDFacet()`

### getXSDFeature

    public EClass getXSDFeature()

  Specified by:
    `getXSDFeature` in interface `XSDPackage`
  Returns:
    the meta object for class 'Feature'.
  See Also:
    `XSDFeature`

### getXSDFeature_Value

    public EAttribute getXSDFeature_Value()

  Specified by:
    `getXSDFeature_Value` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDFeature.getValue()`, `XSDPackage.getXSDFeature()`

### getXSDFeature_Constraint

    public EAttribute getXSDFeature_Constraint()

  Specified by:
    `getXSDFeature_Constraint` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Constraint'.
  See Also:
    `XSDFeature.getConstraint()`, `XSDPackage.getXSDFeature()`

### getXSDFeature_Form

    public EAttribute getXSDFeature_Form()

  Specified by:
    `getXSDFeature_Form` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Form'.
  See Also:
    `XSDFeature.getForm()`, `XSDPackage.getXSDFeature()`

### getXSDFeature_LexicalValue

    public EAttribute getXSDFeature_LexicalValue()

  Specified by:
    `getXSDFeature_LexicalValue` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Lexical Value'.
  See Also:
    `XSDFeature.getLexicalValue()`, `XSDPackage.getXSDFeature()`

### getXSDFeature_Global

    public EAttribute getXSDFeature_Global()

  Specified by:
    `getXSDFeature_Global` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Global'.
  See Also:
    `XSDFeature.isGlobal()`, `XSDPackage.getXSDFeature()`

### getXSDFeature_FeatureReference

    public EAttribute getXSDFeature_FeatureReference()

  Specified by:
    `getXSDFeature_FeatureReference` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Feature Reference'.
  See Also:
    `XSDFeature.isFeatureReference()`, `XSDPackage.getXSDFeature()`

### getXSDFeature_Scope

    public EReference getXSDFeature_Scope()

  Specified by:
    `getXSDFeature_Scope` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Scope'.
  See Also:
    `XSDFeature.getScope()`, `XSDPackage.getXSDFeature()`

### getXSDFeature_ResolvedFeature

    public EReference getXSDFeature_ResolvedFeature()

  Specified by:
    `getXSDFeature_ResolvedFeature` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Resolved Feature'.
  See Also:
    `XSDFeature.getResolvedFeature()`, `XSDPackage.getXSDFeature()`

### getXSDFeature_Type

    public EReference getXSDFeature_Type()

  Specified by:
    `getXSDFeature_Type` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Type'.
  See Also:
    `XSDFeature.getType()`, `XSDPackage.getXSDFeature()`

### getXSDFixedFacet

    public EClass getXSDFixedFacet()

  Specified by:
    `getXSDFixedFacet` in interface `XSDPackage`
  Returns:
    the meta object for class 'Fixed Facet'.
  See Also:
    `XSDFixedFacet`

### getXSDFixedFacet_Fixed

    public EAttribute getXSDFixedFacet_Fixed()

  Specified by:
    `getXSDFixedFacet_Fixed` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Fixed'.
  See Also:
    `XSDFixedFacet.isFixed()`, `XSDPackage.getXSDFixedFacet()`

### getXSDFractionDigitsFacet

    public EClass getXSDFractionDigitsFacet()

  Specified by:
    `getXSDFractionDigitsFacet` in interface `XSDPackage`
  Returns:
    the meta object for class 'Fraction Digits Facet'.
  See Also:
    `XSDFractionDigitsFacet`

### getXSDFractionDigitsFacet_Value

    public EAttribute getXSDFractionDigitsFacet_Value()

  Specified by:
    `getXSDFractionDigitsFacet_Value` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDFractionDigitsFacet.getValue()`, `XSDPackage.getXSDFractionDigitsFacet()`

### getXSDFundamentalFacet

    public EClass getXSDFundamentalFacet()

  Specified by:
    `getXSDFundamentalFacet` in interface `XSDPackage`
  Returns:
    the meta object for class 'Fundamental Facet'.
  See Also:
    `XSDFundamentalFacet`

### getXSDIdentityConstraintDefinition

    public EClass getXSDIdentityConstraintDefinition()

  Specified by:
    `getXSDIdentityConstraintDefinition` in interface `XSDPackage`
  Returns:
    the meta object for class 'Identity Constraint Definition'.
  See Also:
    `XSDIdentityConstraintDefinition`

### getXSDIdentityConstraintDefinition_IdentityConstraintCategory

    public EAttribute getXSDIdentityConstraintDefinition_IdentityConstraintCategory()

  Specified by:
    `getXSDIdentityConstraintDefinition_IdentityConstraintCategory` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Identity Constraint Category'.
  See Also:
    `XSDIdentityConstraintDefinition.getIdentityConstraintCategory()`, `XSDPackage.getXSDIdentityConstraintDefinition()`

### getXSDIdentityConstraintDefinition_Annotation

    public EReference getXSDIdentityConstraintDefinition_Annotation()

  Specified by:
    `getXSDIdentityConstraintDefinition_Annotation` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference 'Annotation'.
  See Also:
    `XSDIdentityConstraintDefinition.getAnnotation()`, `XSDPackage.getXSDIdentityConstraintDefinition()`

### getXSDIdentityConstraintDefinition_ReferencedKey

    public EReference getXSDIdentityConstraintDefinition_ReferencedKey()

  Specified by:
    `getXSDIdentityConstraintDefinition_ReferencedKey` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Referenced Key'.
  See Also:
    `XSDIdentityConstraintDefinition.getReferencedKey()`, `XSDPackage.getXSDIdentityConstraintDefinition()`

### getXSDIdentityConstraintDefinition_Selector

    public EReference getXSDIdentityConstraintDefinition_Selector()

  Specified by:
    `getXSDIdentityConstraintDefinition_Selector` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference 'Selector'.
  See Also:
    `XSDIdentityConstraintDefinition.getSelector()`, `XSDPackage.getXSDIdentityConstraintDefinition()`

### getXSDIdentityConstraintDefinition_Fields

    public EReference getXSDIdentityConstraintDefinition_Fields()

  Specified by:
    `getXSDIdentityConstraintDefinition_Fields` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference list 'Fields'.
  See Also:
    `XSDIdentityConstraintDefinition.getFields()`, `XSDPackage.getXSDIdentityConstraintDefinition()`

### getXSDImport

    public EClass getXSDImport()

  Specified by:
    `getXSDImport` in interface `XSDPackage`
  Returns:
    the meta object for class 'Import'.
  See Also:
    `XSDImport`

### getXSDImport_Namespace

    public EAttribute getXSDImport_Namespace()

  Specified by:
    `getXSDImport_Namespace` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Namespace'.
  See Also:
    `XSDImport.getNamespace()`, `XSDPackage.getXSDImport()`

### getXSDImport_Annotation

    public EReference getXSDImport_Annotation()

  Specified by:
    `getXSDImport_Annotation` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference 'Annotation'.
  See Also:
    `XSDImport.getAnnotation()`, `XSDPackage.getXSDImport()`

### getXSDInclude

    public EClass getXSDInclude()

  Specified by:
    `getXSDInclude` in interface `XSDPackage`
  Returns:
    the meta object for class 'Include'.
  See Also:
    `XSDInclude`

### getXSDInclude_Annotation

    public EReference getXSDInclude_Annotation()

  Specified by:
    `getXSDInclude_Annotation` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference 'Annotation'.
  See Also:
    `XSDInclude.getAnnotation()`, `XSDPackage.getXSDInclude()`

### getXSDLengthFacet

    public EClass getXSDLengthFacet()

  Specified by:
    `getXSDLengthFacet` in interface `XSDPackage`
  Returns:
    the meta object for class 'Length Facet'.
  See Also:
    `XSDLengthFacet`

### getXSDLengthFacet_Value

    public EAttribute getXSDLengthFacet_Value()

  Specified by:
    `getXSDLengthFacet_Value` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDLengthFacet.getValue()`, `XSDPackage.getXSDLengthFacet()`

### getXSDMaxExclusiveFacet

    public EClass getXSDMaxExclusiveFacet()

  Specified by:
    `getXSDMaxExclusiveFacet` in interface `XSDPackage`
  Returns:
    the meta object for class 'Max Exclusive Facet'.
  See Also:
    `XSDMaxExclusiveFacet`

### getXSDMaxFacet

    public EClass getXSDMaxFacet()

  Specified by:
    `getXSDMaxFacet` in interface `XSDPackage`
  Returns:
    the meta object for class 'Max Facet'.
  See Also:
    `XSDMaxFacet`

### getXSDMaxFacet_Value

    public EAttribute getXSDMaxFacet_Value()

  Specified by:
    `getXSDMaxFacet_Value` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDMaxFacet.getValue()`, `XSDPackage.getXSDMaxFacet()`

### getXSDMaxFacet_Inclusive

    public EAttribute getXSDMaxFacet_Inclusive()

  Specified by:
    `getXSDMaxFacet_Inclusive` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Inclusive'.
  See Also:
    `XSDMaxFacet.isInclusive()`, `XSDPackage.getXSDMaxFacet()`

### getXSDMaxFacet_Exclusive

    public EAttribute getXSDMaxFacet_Exclusive()

  Specified by:
    `getXSDMaxFacet_Exclusive` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Exclusive'.
  See Also:
    `XSDMaxFacet.isExclusive()`, `XSDPackage.getXSDMaxFacet()`

### getXSDMaxInclusiveFacet

    public EClass getXSDMaxInclusiveFacet()

  Specified by:
    `getXSDMaxInclusiveFacet` in interface `XSDPackage`
  Returns:
    the meta object for class 'Max Inclusive Facet'.
  See Also:
    `XSDMaxInclusiveFacet`

### getXSDMaxLengthFacet

    public EClass getXSDMaxLengthFacet()

  Specified by:
    `getXSDMaxLengthFacet` in interface `XSDPackage`
  Returns:
    the meta object for class 'Max Length Facet'.
  See Also:
    `XSDMaxLengthFacet`

### getXSDMaxLengthFacet_Value

    public EAttribute getXSDMaxLengthFacet_Value()

  Specified by:
    `getXSDMaxLengthFacet_Value` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDMaxLengthFacet.getValue()`, `XSDPackage.getXSDMaxLengthFacet()`

### getXSDMinExclusiveFacet

    public EClass getXSDMinExclusiveFacet()

  Specified by:
    `getXSDMinExclusiveFacet` in interface `XSDPackage`
  Returns:
    the meta object for class 'Min Exclusive Facet'.
  See Also:
    `XSDMinExclusiveFacet`

### getXSDMinFacet

    public EClass getXSDMinFacet()

  Specified by:
    `getXSDMinFacet` in interface `XSDPackage`
  Returns:
    the meta object for class 'Min Facet'.
  See Also:
    `XSDMinFacet`

### getXSDMinFacet_Value

    public EAttribute getXSDMinFacet_Value()

  Specified by:
    `getXSDMinFacet_Value` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDMinFacet.getValue()`, `XSDPackage.getXSDMinFacet()`

### getXSDMinFacet_Inclusive

    public EAttribute getXSDMinFacet_Inclusive()

  Specified by:
    `getXSDMinFacet_Inclusive` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Inclusive'.
  See Also:
    `XSDMinFacet.isInclusive()`, `XSDPackage.getXSDMinFacet()`

### getXSDMinFacet_Exclusive

    public EAttribute getXSDMinFacet_Exclusive()

  Specified by:
    `getXSDMinFacet_Exclusive` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Exclusive'.
  See Also:
    `XSDMinFacet.isExclusive()`, `XSDPackage.getXSDMinFacet()`

### getXSDMinInclusiveFacet

    public EClass getXSDMinInclusiveFacet()

  Specified by:
    `getXSDMinInclusiveFacet` in interface `XSDPackage`
  Returns:
    the meta object for class 'Min Inclusive Facet'.
  See Also:
    `XSDMinInclusiveFacet`

### getXSDMinLengthFacet

    public EClass getXSDMinLengthFacet()

  Specified by:
    `getXSDMinLengthFacet` in interface `XSDPackage`
  Returns:
    the meta object for class 'Min Length Facet'.
  See Also:
    `XSDMinLengthFacet`

### getXSDMinLengthFacet_Value

    public EAttribute getXSDMinLengthFacet_Value()

  Specified by:
    `getXSDMinLengthFacet_Value` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDMinLengthFacet.getValue()`, `XSDPackage.getXSDMinLengthFacet()`

### getXSDModelGroup

    public EClass getXSDModelGroup()

  Specified by:
    `getXSDModelGroup` in interface `XSDPackage`
  Returns:
    the meta object for class 'Model Group'.
  See Also:
    `XSDModelGroup`

### getXSDModelGroup_Compositor

    public EAttribute getXSDModelGroup_Compositor()

  Specified by:
    `getXSDModelGroup_Compositor` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Compositor'.
  See Also:
    `XSDModelGroup.getCompositor()`, `XSDPackage.getXSDModelGroup()`

### getXSDModelGroup_Annotation

    public EReference getXSDModelGroup_Annotation()

  Specified by:
    `getXSDModelGroup_Annotation` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference 'Annotation'.
  See Also:
    `XSDModelGroup.getAnnotation()`, `XSDPackage.getXSDModelGroup()`

### getXSDModelGroup_Contents

    public EReference getXSDModelGroup_Contents()

  Specified by:
    `getXSDModelGroup_Contents` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference list 'Contents'.
  See Also:
    `XSDModelGroup.getContents()`, `XSDPackage.getXSDModelGroup()`

### getXSDModelGroup_Particles

    public EReference getXSDModelGroup_Particles()

  Specified by:
    `getXSDModelGroup_Particles` in interface `XSDPackage`
  Returns:
    the meta object for the reference list 'Particles'.
  See Also:
    `XSDModelGroup.getParticles()`, `XSDPackage.getXSDModelGroup()`

### getXSDModelGroupDefinition

    public EClass getXSDModelGroupDefinition()

  Specified by:
    `getXSDModelGroupDefinition` in interface `XSDPackage`
  Returns:
    the meta object for class 'Model Group Definition'.
  See Also:
    `XSDModelGroupDefinition`

### getXSDModelGroupDefinition_ModelGroupDefinitionReference

    public EAttribute getXSDModelGroupDefinition_ModelGroupDefinitionReference()

  Specified by:
    `getXSDModelGroupDefinition_ModelGroupDefinitionReference` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Model Group Definition Reference'.
  See Also:
    `XSDModelGroupDefinition.isModelGroupDefinitionReference()`, `XSDPackage.getXSDModelGroupDefinition()`

### getXSDModelGroupDefinition_Annotation

    public EReference getXSDModelGroupDefinition_Annotation()

  Specified by:
    `getXSDModelGroupDefinition_Annotation` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference 'Annotation'.
  See Also:
    `XSDModelGroupDefinition.getAnnotation()`, `XSDPackage.getXSDModelGroupDefinition()`

### getXSDModelGroupDefinition_ModelGroup

    public EReference getXSDModelGroupDefinition_ModelGroup()

  Specified by:
    `getXSDModelGroupDefinition_ModelGroup` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference 'Model Group'.
  See Also:
    `XSDModelGroupDefinition.getModelGroup()`, `XSDPackage.getXSDModelGroupDefinition()`

### getXSDModelGroupDefinition_ResolvedModelGroupDefinition

    public EReference getXSDModelGroupDefinition_ResolvedModelGroupDefinition()

  Specified by:
    `getXSDModelGroupDefinition_ResolvedModelGroupDefinition` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Resolved Model Group Definition'.
  See Also:
    `XSDModelGroupDefinition.getResolvedModelGroupDefinition()`, `XSDPackage.getXSDModelGroupDefinition()`

### getXSDNamedComponent

    public EClass getXSDNamedComponent()

  Specified by:
    `getXSDNamedComponent` in interface `XSDPackage`
  Returns:
    the meta object for class 'Named Component'.
  See Also:
    `XSDNamedComponent`

### getXSDNamedComponent_Name

    public EAttribute getXSDNamedComponent_Name()

  Specified by:
    `getXSDNamedComponent_Name` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `XSDNamedComponent.getName()`, `XSDPackage.getXSDNamedComponent()`

### getXSDNamedComponent_TargetNamespace

    public EAttribute getXSDNamedComponent_TargetNamespace()

  Specified by:
    `getXSDNamedComponent_TargetNamespace` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Target Namespace'.
  See Also:
    `XSDNamedComponent.getTargetNamespace()`, `XSDPackage.getXSDNamedComponent()`

### getXSDNamedComponent_AliasName

    public EAttribute getXSDNamedComponent_AliasName()

  Specified by:
    `getXSDNamedComponent_AliasName` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Alias Name'.
  See Also:
    `XSDNamedComponent.getAliasName()`, `XSDPackage.getXSDNamedComponent()`

### getXSDNamedComponent_URI

    public EAttribute getXSDNamedComponent_URI()

  Specified by:
    `getXSDNamedComponent_URI` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'URI'.
  See Also:
    `XSDNamedComponent.getURI()`, `XSDPackage.getXSDNamedComponent()`

### getXSDNamedComponent_AliasURI

    public EAttribute getXSDNamedComponent_AliasURI()

  Specified by:
    `getXSDNamedComponent_AliasURI` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Alias URI'.
  See Also:
    `XSDNamedComponent.getAliasURI()`, `XSDPackage.getXSDNamedComponent()`

### getXSDNamedComponent_QName

    public EAttribute getXSDNamedComponent_QName()

  Specified by:
    `getXSDNamedComponent_QName` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'QName'.
  See Also:
    `XSDNamedComponent.getQName()`, `XSDPackage.getXSDNamedComponent()`

### getXSDNotationDeclaration

    public EClass getXSDNotationDeclaration()

  Specified by:
    `getXSDNotationDeclaration` in interface `XSDPackage`
  Returns:
    the meta object for class 'Notation Declaration'.
  See Also:
    `XSDNotationDeclaration`

### getXSDNotationDeclaration_SystemIdentifier

    public EAttribute getXSDNotationDeclaration_SystemIdentifier()

  Specified by:
    `getXSDNotationDeclaration_SystemIdentifier` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'System Identifier'.
  See Also:
    `XSDNotationDeclaration.getSystemIdentifier()`, `XSDPackage.getXSDNotationDeclaration()`

### getXSDNotationDeclaration_PublicIdentifier

    public EAttribute getXSDNotationDeclaration_PublicIdentifier()

  Specified by:
    `getXSDNotationDeclaration_PublicIdentifier` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Public Identifier'.
  See Also:
    `XSDNotationDeclaration.getPublicIdentifier()`, `XSDPackage.getXSDNotationDeclaration()`

### getXSDNotationDeclaration_Annotation

    public EReference getXSDNotationDeclaration_Annotation()

  Specified by:
    `getXSDNotationDeclaration_Annotation` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference 'Annotation'.
  See Also:
    `XSDNotationDeclaration.getAnnotation()`, `XSDPackage.getXSDNotationDeclaration()`

### getXSDNumericFacet

    public EClass getXSDNumericFacet()

  Specified by:
    `getXSDNumericFacet` in interface `XSDPackage`
  Returns:
    the meta object for class 'Numeric Facet'.
  See Also:
    `XSDNumericFacet`

### getXSDNumericFacet_Value

    public EAttribute getXSDNumericFacet_Value()

  Specified by:
    `getXSDNumericFacet_Value` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDNumericFacet.isValue()`, `XSDPackage.getXSDNumericFacet()`

### getXSDOrderedFacet

    public EClass getXSDOrderedFacet()

  Specified by:
    `getXSDOrderedFacet` in interface `XSDPackage`
  Returns:
    the meta object for class 'Ordered Facet'.
  See Also:
    `XSDOrderedFacet`

### getXSDOrderedFacet_Value

    public EAttribute getXSDOrderedFacet_Value()

  Specified by:
    `getXSDOrderedFacet_Value` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDOrderedFacet.getValue()`, `XSDPackage.getXSDOrderedFacet()`

### getXSDParticle

    public EClass getXSDParticle()

  Specified by:
    `getXSDParticle` in interface `XSDPackage`
  Returns:
    the meta object for class 'Particle'.
  See Also:
    `XSDParticle`

### getXSDParticle_MinOccurs

    public EAttribute getXSDParticle_MinOccurs()

  Specified by:
    `getXSDParticle_MinOccurs` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Min Occurs'.
  See Also:
    `XSDParticle.getMinOccurs()`, `XSDPackage.getXSDParticle()`

### getXSDParticle_MaxOccurs

    public EAttribute getXSDParticle_MaxOccurs()

  Specified by:
    `getXSDParticle_MaxOccurs` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Max Occurs'.
  See Also:
    `XSDParticle.getMaxOccurs()`, `XSDPackage.getXSDParticle()`

### getXSDParticle_Content

    public EReference getXSDParticle_Content()

  Specified by:
    `getXSDParticle_Content` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference 'Content'.
  See Also:
    `XSDParticle.getContent()`, `XSDPackage.getXSDParticle()`

### getXSDParticle_Term

    public EReference getXSDParticle_Term()

  Specified by:
    `getXSDParticle_Term` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Term'.
  See Also:
    `XSDParticle.getTerm()`, `XSDPackage.getXSDParticle()`

### getXSDParticleContent

    public EClass getXSDParticleContent()

  Specified by:
    `getXSDParticleContent` in interface `XSDPackage`
  Returns:
    the meta object for class 'Particle Content'.
  See Also:
    `XSDParticleContent`

### getXSDPatternFacet

    public EClass getXSDPatternFacet()

  Specified by:
    `getXSDPatternFacet` in interface `XSDPackage`
  Returns:
    the meta object for class 'Pattern Facet'.
  See Also:
    `XSDPatternFacet`

### getXSDPatternFacet_Value

    public EAttribute getXSDPatternFacet_Value()

  Specified by:
    `getXSDPatternFacet_Value` in interface `XSDPackage`
  Returns:
    the meta object for the attribute list 'Value'.
  See Also:
    `XSDPatternFacet.getValue()`, `XSDPackage.getXSDPatternFacet()`

### getXSDRedefinableComponent

    public EClass getXSDRedefinableComponent()

  Specified by:
    `getXSDRedefinableComponent` in interface `XSDPackage`
  Returns:
    the meta object for class 'Redefinable Component'.
  See Also:
    `XSDRedefinableComponent`

### getXSDRedefinableComponent_Circular

    public EAttribute getXSDRedefinableComponent_Circular()

  Specified by:
    `getXSDRedefinableComponent_Circular` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Circular'.
  See Also:
    `XSDRedefinableComponent.isCircular()`, `XSDPackage.getXSDRedefinableComponent()`

### getXSDRedefineContent

    public EClass getXSDRedefineContent()

  Specified by:
    `getXSDRedefineContent` in interface `XSDPackage`
  Returns:
    the meta object for class 'Redefine Content'.
  See Also:
    `XSDRedefineContent`

### getXSDRedefine

    public EClass getXSDRedefine()

  Specified by:
    `getXSDRedefine` in interface `XSDPackage`
  Returns:
    the meta object for class 'Redefine'.
  See Also:
    `XSDRedefine`

### getXSDRedefine_Annotations

    public EReference getXSDRedefine_Annotations()

  Specified by:
    `getXSDRedefine_Annotations` in interface `XSDPackage`
  Returns:
    the meta object for the reference list 'Annotations'.
  See Also:
    `XSDRedefine.getAnnotations()`, `XSDPackage.getXSDRedefine()`

### getXSDRedefine_Contents

    public EReference getXSDRedefine_Contents()

  Specified by:
    `getXSDRedefine_Contents` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference list 'Contents'.
  See Also:
    `XSDRedefine.getContents()`, `XSDPackage.getXSDRedefine()`

### getXSDRepeatableFacet

    public EClass getXSDRepeatableFacet()

  Specified by:
    `getXSDRepeatableFacet` in interface `XSDPackage`
  Returns:
    the meta object for class 'Repeatable Facet'.
  See Also:
    `XSDRepeatableFacet`

### getXSDRepeatableFacet_Annotations

    public EReference getXSDRepeatableFacet_Annotations()

  Specified by:
    `getXSDRepeatableFacet_Annotations` in interface `XSDPackage`
  Returns:
    the meta object for the reference list 'Annotations'.
  See Also:
    `XSDRepeatableFacet.getAnnotations()`, `XSDPackage.getXSDRepeatableFacet()`

### getXSDSchema

    public EClass getXSDSchema()

  Specified by:
    `getXSDSchema` in interface `XSDPackage`
  Returns:
    the meta object for class 'Schema'.
  See Also:
    `XSDSchema`

### getXSDSchema_Document

    public EAttribute getXSDSchema_Document()

  Specified by:
    `getXSDSchema_Document` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Document'.
  See Also:
    `XSDSchema.getDocument()`, `XSDPackage.getXSDSchema()`

### getXSDSchema_SchemaLocation

    public EAttribute getXSDSchema_SchemaLocation()

  Specified by:
    `getXSDSchema_SchemaLocation` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Schema Location'.
  See Also:
    `XSDSchema.getSchemaLocation()`, `XSDPackage.getXSDSchema()`

### getXSDSchema_TargetNamespace

    public EAttribute getXSDSchema_TargetNamespace()

  Specified by:
    `getXSDSchema_TargetNamespace` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Target Namespace'.
  See Also:
    `XSDSchema.getTargetNamespace()`, `XSDPackage.getXSDSchema()`

### getXSDSchema_AttributeFormDefault

    public EAttribute getXSDSchema_AttributeFormDefault()

  Specified by:
    `getXSDSchema_AttributeFormDefault` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Attribute Form Default'.
  See Also:
    `XSDSchema.getAttributeFormDefault()`, `XSDPackage.getXSDSchema()`

### getXSDSchema_ElementFormDefault

    public EAttribute getXSDSchema_ElementFormDefault()

  Specified by:
    `getXSDSchema_ElementFormDefault` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Element Form Default'.
  See Also:
    `XSDSchema.getElementFormDefault()`, `XSDPackage.getXSDSchema()`

### getXSDSchema_FinalDefault

    public EAttribute getXSDSchema_FinalDefault()

  Specified by:
    `getXSDSchema_FinalDefault` in interface `XSDPackage`
  Returns:
    the meta object for the attribute list 'Final Default'.
  See Also:
    `XSDSchema.getFinalDefault()`, `XSDPackage.getXSDSchema()`

### getXSDSchema_BlockDefault

    public EAttribute getXSDSchema_BlockDefault()

  Specified by:
    `getXSDSchema_BlockDefault` in interface `XSDPackage`
  Returns:
    the meta object for the attribute list 'Block Default'.
  See Also:
    `XSDSchema.getBlockDefault()`, `XSDPackage.getXSDSchema()`

### getXSDSchema_Version

    public EAttribute getXSDSchema_Version()

  Specified by:
    `getXSDSchema_Version` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Version'.
  See Also:
    `XSDSchema.getVersion()`, `XSDPackage.getXSDSchema()`

### getXSDSchema_Contents

    public EReference getXSDSchema_Contents()

  Specified by:
    `getXSDSchema_Contents` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference list 'Contents'.
  See Also:
    `XSDSchema.getContents()`, `XSDPackage.getXSDSchema()`

### getXSDSchema_ElementDeclarations

    public EReference getXSDSchema_ElementDeclarations()

  Specified by:
    `getXSDSchema_ElementDeclarations` in interface `XSDPackage`
  Returns:
    the meta object for the reference list 'Element Declarations'.
  See Also:
    `XSDSchema.getElementDeclarations()`, `XSDPackage.getXSDSchema()`

### getXSDSchema_AttributeDeclarations

    public EReference getXSDSchema_AttributeDeclarations()

  Specified by:
    `getXSDSchema_AttributeDeclarations` in interface `XSDPackage`
  Returns:
    the meta object for the reference list 'Attribute Declarations'.
  See Also:
    `XSDSchema.getAttributeDeclarations()`, `XSDPackage.getXSDSchema()`

### getXSDSchema_AttributeGroupDefinitions

    public EReference getXSDSchema_AttributeGroupDefinitions()

  Specified by:
    `getXSDSchema_AttributeGroupDefinitions` in interface `XSDPackage`
  Returns:
    the meta object for the reference list 'Attribute Group Definitions'.
  See Also:
    `XSDSchema.getAttributeGroupDefinitions()`, `XSDPackage.getXSDSchema()`

### getXSDSchema_TypeDefinitions

    public EReference getXSDSchema_TypeDefinitions()

  Specified by:
    `getXSDSchema_TypeDefinitions` in interface `XSDPackage`
  Returns:
    the meta object for the reference list 'Type Definitions'.
  See Also:
    `XSDSchema.getTypeDefinitions()`, `XSDPackage.getXSDSchema()`

### getXSDSchema_ModelGroupDefinitions

    public EReference getXSDSchema_ModelGroupDefinitions()

  Specified by:
    `getXSDSchema_ModelGroupDefinitions` in interface `XSDPackage`
  Returns:
    the meta object for the reference list 'Model Group Definitions'.
  See Also:
    `XSDSchema.getModelGroupDefinitions()`, `XSDPackage.getXSDSchema()`

### getXSDSchema_IdentityConstraintDefinitions

    public EReference getXSDSchema_IdentityConstraintDefinitions()

  Specified by:
    `getXSDSchema_IdentityConstraintDefinitions` in interface `XSDPackage`
  Returns:
    the meta object for the reference list 'Identity Constraint Definitions'.
  See Also:
    `XSDSchema.getIdentityConstraintDefinitions()`, `XSDPackage.getXSDSchema()`

### getXSDSchema_NotationDeclarations

    public EReference getXSDSchema_NotationDeclarations()

  Specified by:
    `getXSDSchema_NotationDeclarations` in interface `XSDPackage`
  Returns:
    the meta object for the reference list 'Notation Declarations'.
  See Also:
    `XSDSchema.getNotationDeclarations()`, `XSDPackage.getXSDSchema()`

### getXSDSchema_Annotations

    public EReference getXSDSchema_Annotations()

  Specified by:
    `getXSDSchema_Annotations` in interface `XSDPackage`
  Returns:
    the meta object for the reference list 'Annotations'.
  See Also:
    `XSDSchema.getAnnotations()`, `XSDPackage.getXSDSchema()`

### getXSDSchema_AllDiagnostics

    public EReference getXSDSchema_AllDiagnostics()

  Specified by:
    `getXSDSchema_AllDiagnostics` in interface `XSDPackage`
  Returns:
    the meta object for the reference list 'All Diagnostics'.
  See Also:
    `XSDSchema.getAllDiagnostics()`, `XSDPackage.getXSDSchema()`

### getXSDSchema_ReferencingDirectives

    public EReference getXSDSchema_ReferencingDirectives()

  Specified by:
    `getXSDSchema_ReferencingDirectives` in interface `XSDPackage`
  Returns:
    the meta object for the reference list 'Referencing Directives'.
  See Also:
    `XSDSchema.getReferencingDirectives()`, `XSDPackage.getXSDSchema()`

### getXSDSchema_RootVersion

    public EReference getXSDSchema_RootVersion()

  Specified by:
    `getXSDSchema_RootVersion` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Root Version'.
  See Also:
    `XSDSchema.getRootVersion()`, `XSDPackage.getXSDSchema()`

### getXSDSchema_OriginalVersion

    public EReference getXSDSchema_OriginalVersion()

  Specified by:
    `getXSDSchema_OriginalVersion` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Original Version'.
  See Also:
    `XSDSchema.getOriginalVersion()`, `XSDPackage.getXSDSchema()`

### getXSDSchema_IncorporatedVersions

    public EReference getXSDSchema_IncorporatedVersions()

  Specified by:
    `getXSDSchema_IncorporatedVersions` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference list 'Incorporated Versions'.
  See Also:
    `XSDSchema.getIncorporatedVersions()`, `XSDPackage.getXSDSchema()`

### getXSDSchema_SchemaForSchema

    public EReference getXSDSchema_SchemaForSchema()

  Specified by:
    `getXSDSchema_SchemaForSchema` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Schema For Schema'.
  See Also:
    `XSDSchema.getSchemaForSchema()`, `XSDPackage.getXSDSchema()`

### getXSDSchemaCompositor

    public EClass getXSDSchemaCompositor()

  Specified by:
    `getXSDSchemaCompositor` in interface `XSDPackage`
  Returns:
    the meta object for class 'Schema Compositor'.
  See Also:
    `XSDSchemaCompositor`

### getXSDSchemaCompositor_IncorporatedSchema

    public EReference getXSDSchemaCompositor_IncorporatedSchema()

  Specified by:
    `getXSDSchemaCompositor_IncorporatedSchema` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Incorporated Schema'.
  See Also:
    `XSDSchemaCompositor.getIncorporatedSchema()`, `XSDPackage.getXSDSchemaCompositor()`

### getXSDSchemaContent

    public EClass getXSDSchemaContent()

  Specified by:
    `getXSDSchemaContent` in interface `XSDPackage`
  Returns:
    the meta object for class 'Schema Content'.
  See Also:
    `XSDSchemaContent`

### getXSDSchemaDirective

    public EClass getXSDSchemaDirective()

  Specified by:
    `getXSDSchemaDirective` in interface `XSDPackage`
  Returns:
    the meta object for class 'Schema Directive'.
  See Also:
    `XSDSchemaDirective`

### getXSDSchemaDirective_SchemaLocation

    public EAttribute getXSDSchemaDirective_SchemaLocation()

  Specified by:
    `getXSDSchemaDirective_SchemaLocation` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Schema Location'.
  See Also:
    `XSDSchemaDirective.getSchemaLocation()`, `XSDPackage.getXSDSchemaDirective()`

### getXSDSchemaDirective_ResolvedSchema

    public EReference getXSDSchemaDirective_ResolvedSchema()

  Specified by:
    `getXSDSchemaDirective_ResolvedSchema` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Resolved Schema'.
  See Also:
    `XSDSchemaDirective.getResolvedSchema()`, `XSDPackage.getXSDSchemaDirective()`

### getXSDScope

    public EClass getXSDScope()

  Specified by:
    `getXSDScope` in interface `XSDPackage`
  Returns:
    the meta object for class 'Scope'.
  See Also:
    `XSDScope`

### getXSDSimpleTypeDefinition

    public EClass getXSDSimpleTypeDefinition()

  Specified by:
    `getXSDSimpleTypeDefinition` in interface `XSDPackage`
  Returns:
    the meta object for class 'Simple Type Definition'.
  See Also:
    `XSDSimpleTypeDefinition`

### getXSDSimpleTypeDefinition_Variety

    public EAttribute getXSDSimpleTypeDefinition_Variety()

  Specified by:
    `getXSDSimpleTypeDefinition_Variety` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Variety'.
  See Also:
    `XSDSimpleTypeDefinition.getVariety()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_Final

    public EAttribute getXSDSimpleTypeDefinition_Final()

  Specified by:
    `getXSDSimpleTypeDefinition_Final` in interface `XSDPackage`
  Returns:
    the meta object for the attribute list 'Final'.
  See Also:
    `XSDSimpleTypeDefinition.getFinal()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_LexicalFinal

    public EAttribute getXSDSimpleTypeDefinition_LexicalFinal()

  Specified by:
    `getXSDSimpleTypeDefinition_LexicalFinal` in interface `XSDPackage`
  Returns:
    the meta object for the attribute list 'Lexical Final'.
  See Also:
    `XSDSimpleTypeDefinition.getLexicalFinal()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_ValidFacets

    public EAttribute getXSDSimpleTypeDefinition_ValidFacets()

  Specified by:
    `getXSDSimpleTypeDefinition_ValidFacets` in interface `XSDPackage`
  Returns:
    the meta object for the attribute list 'Valid Facets'.
  See Also:
    `XSDSimpleTypeDefinition.getValidFacets()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_Contents

    public EReference getXSDSimpleTypeDefinition_Contents()

  Specified by:
    `getXSDSimpleTypeDefinition_Contents` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference list 'Contents'.
  See Also:
    `XSDSimpleTypeDefinition.getContents()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_FacetContents

    public EReference getXSDSimpleTypeDefinition_FacetContents()

  Specified by:
    `getXSDSimpleTypeDefinition_FacetContents` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference list 'Facet Contents'.
  See Also:
    `XSDSimpleTypeDefinition.getFacetContents()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_Facets

    public EReference getXSDSimpleTypeDefinition_Facets()

  Specified by:
    `getXSDSimpleTypeDefinition_Facets` in interface `XSDPackage`
  Returns:
    the meta object for the reference list 'Facets'.
  See Also:
    `XSDSimpleTypeDefinition.getFacets()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_MemberTypeDefinitions

    public EReference getXSDSimpleTypeDefinition_MemberTypeDefinitions()

  Specified by:
    `getXSDSimpleTypeDefinition_MemberTypeDefinitions` in interface `XSDPackage`
  Returns:
    the meta object for the reference list 'Member Type Definitions'.
  See Also:
    `XSDSimpleTypeDefinition.getMemberTypeDefinitions()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_FundamentalFacets

    public EReference getXSDSimpleTypeDefinition_FundamentalFacets()

  Specified by:
    `getXSDSimpleTypeDefinition_FundamentalFacets` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference list 'Fundamental Facets'.
  See Also:
    `XSDSimpleTypeDefinition.getFundamentalFacets()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_BaseTypeDefinition

    public EReference getXSDSimpleTypeDefinition_BaseTypeDefinition()

  Specified by:
    `getXSDSimpleTypeDefinition_BaseTypeDefinition` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Base Type Definition'.
  See Also:
    `XSDSimpleTypeDefinition.getBaseTypeDefinition()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_PrimitiveTypeDefinition

    public EReference getXSDSimpleTypeDefinition_PrimitiveTypeDefinition()

  Specified by:
    `getXSDSimpleTypeDefinition_PrimitiveTypeDefinition` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Primitive Type Definition'.
  See Also:
    `XSDSimpleTypeDefinition.getPrimitiveTypeDefinition()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_ItemTypeDefinition

    public EReference getXSDSimpleTypeDefinition_ItemTypeDefinition()

  Specified by:
    `getXSDSimpleTypeDefinition_ItemTypeDefinition` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Item Type Definition'.
  See Also:
    `XSDSimpleTypeDefinition.getItemTypeDefinition()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_RootTypeDefinition

    public EReference getXSDSimpleTypeDefinition_RootTypeDefinition()

  Specified by:
    `getXSDSimpleTypeDefinition_RootTypeDefinition` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Root Type Definition'.
  See Also:
    `XSDSimpleTypeDefinition.getRootTypeDefinition()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_MinFacet

    public EReference getXSDSimpleTypeDefinition_MinFacet()

  Specified by:
    `getXSDSimpleTypeDefinition_MinFacet` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Min Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getMinFacet()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_MaxFacet

    public EReference getXSDSimpleTypeDefinition_MaxFacet()

  Specified by:
    `getXSDSimpleTypeDefinition_MaxFacet` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Max Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getMaxFacet()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_MaxInclusiveFacet

    public EReference getXSDSimpleTypeDefinition_MaxInclusiveFacet()

  Specified by:
    `getXSDSimpleTypeDefinition_MaxInclusiveFacet` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Max Inclusive Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getMaxInclusiveFacet()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_MinInclusiveFacet

    public EReference getXSDSimpleTypeDefinition_MinInclusiveFacet()

  Specified by:
    `getXSDSimpleTypeDefinition_MinInclusiveFacet` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Min Inclusive Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getMinInclusiveFacet()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_MinExclusiveFacet

    public EReference getXSDSimpleTypeDefinition_MinExclusiveFacet()

  Specified by:
    `getXSDSimpleTypeDefinition_MinExclusiveFacet` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Min Exclusive Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getMinExclusiveFacet()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_MaxExclusiveFacet

    public EReference getXSDSimpleTypeDefinition_MaxExclusiveFacet()

  Specified by:
    `getXSDSimpleTypeDefinition_MaxExclusiveFacet` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Max Exclusive Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getMaxExclusiveFacet()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_LengthFacet

    public EReference getXSDSimpleTypeDefinition_LengthFacet()

  Specified by:
    `getXSDSimpleTypeDefinition_LengthFacet` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Length Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getLengthFacet()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_WhiteSpaceFacet

    public EReference getXSDSimpleTypeDefinition_WhiteSpaceFacet()

  Specified by:
    `getXSDSimpleTypeDefinition_WhiteSpaceFacet` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'White Space Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getWhiteSpaceFacet()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_EnumerationFacets

    public EReference getXSDSimpleTypeDefinition_EnumerationFacets()

  Specified by:
    `getXSDSimpleTypeDefinition_EnumerationFacets` in interface `XSDPackage`
  Returns:
    the meta object for the reference list 'Enumeration Facets'.
  See Also:
    `XSDSimpleTypeDefinition.getEnumerationFacets()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_PatternFacets

    public EReference getXSDSimpleTypeDefinition_PatternFacets()

  Specified by:
    `getXSDSimpleTypeDefinition_PatternFacets` in interface `XSDPackage`
  Returns:
    the meta object for the reference list 'Pattern Facets'.
  See Also:
    `XSDSimpleTypeDefinition.getPatternFacets()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_CardinalityFacet

    public EReference getXSDSimpleTypeDefinition_CardinalityFacet()

  Specified by:
    `getXSDSimpleTypeDefinition_CardinalityFacet` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Cardinality Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getCardinalityFacet()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_NumericFacet

    public EReference getXSDSimpleTypeDefinition_NumericFacet()

  Specified by:
    `getXSDSimpleTypeDefinition_NumericFacet` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Numeric Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getNumericFacet()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_MaxLengthFacet

    public EReference getXSDSimpleTypeDefinition_MaxLengthFacet()

  Specified by:
    `getXSDSimpleTypeDefinition_MaxLengthFacet` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Max Length Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getMaxLengthFacet()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_MinLengthFacet

    public EReference getXSDSimpleTypeDefinition_MinLengthFacet()

  Specified by:
    `getXSDSimpleTypeDefinition_MinLengthFacet` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Min Length Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getMinLengthFacet()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_TotalDigitsFacet

    public EReference getXSDSimpleTypeDefinition_TotalDigitsFacet()

  Specified by:
    `getXSDSimpleTypeDefinition_TotalDigitsFacet` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Total Digits Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getTotalDigitsFacet()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_FractionDigitsFacet

    public EReference getXSDSimpleTypeDefinition_FractionDigitsFacet()

  Specified by:
    `getXSDSimpleTypeDefinition_FractionDigitsFacet` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Fraction Digits Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getFractionDigitsFacet()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_OrderedFacet

    public EReference getXSDSimpleTypeDefinition_OrderedFacet()

  Specified by:
    `getXSDSimpleTypeDefinition_OrderedFacet` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Ordered Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getOrderedFacet()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_BoundedFacet

    public EReference getXSDSimpleTypeDefinition_BoundedFacet()

  Specified by:
    `getXSDSimpleTypeDefinition_BoundedFacet` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Bounded Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getBoundedFacet()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_EffectiveMaxFacet

    public EReference getXSDSimpleTypeDefinition_EffectiveMaxFacet()

  Specified by:
    `getXSDSimpleTypeDefinition_EffectiveMaxFacet` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Effective Max Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getEffectiveMaxFacet()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_EffectiveWhiteSpaceFacet

    public EReference getXSDSimpleTypeDefinition_EffectiveWhiteSpaceFacet()

  Specified by:
    `getXSDSimpleTypeDefinition_EffectiveWhiteSpaceFacet` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Effective White Space Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getEffectiveWhiteSpaceFacet()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_EffectiveMaxLengthFacet

    public EReference getXSDSimpleTypeDefinition_EffectiveMaxLengthFacet()

  Specified by:
    `getXSDSimpleTypeDefinition_EffectiveMaxLengthFacet` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Effective Max Length Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getEffectiveMaxLengthFacet()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_EffectiveFractionDigitsFacet

    public EReference getXSDSimpleTypeDefinition_EffectiveFractionDigitsFacet()

  Specified by:
    `getXSDSimpleTypeDefinition_EffectiveFractionDigitsFacet` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Effective Fraction Digits Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getEffectiveFractionDigitsFacet()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_EffectivePatternFacet

    public EReference getXSDSimpleTypeDefinition_EffectivePatternFacet()

  Specified by:
    `getXSDSimpleTypeDefinition_EffectivePatternFacet` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Effective Pattern Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getEffectivePatternFacet()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_EffectiveEnumerationFacet

    public EReference getXSDSimpleTypeDefinition_EffectiveEnumerationFacet()

  Specified by:
    `getXSDSimpleTypeDefinition_EffectiveEnumerationFacet` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Effective Enumeration Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getEffectiveEnumerationFacet()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_EffectiveTotalDigitsFacet

    public EReference getXSDSimpleTypeDefinition_EffectiveTotalDigitsFacet()

  Specified by:
    `getXSDSimpleTypeDefinition_EffectiveTotalDigitsFacet` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Effective Total Digits Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getEffectiveTotalDigitsFacet()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_EffectiveMinLengthFacet

    public EReference getXSDSimpleTypeDefinition_EffectiveMinLengthFacet()

  Specified by:
    `getXSDSimpleTypeDefinition_EffectiveMinLengthFacet` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Effective Min Length Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getEffectiveMinLengthFacet()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_EffectiveLengthFacet

    public EReference getXSDSimpleTypeDefinition_EffectiveLengthFacet()

  Specified by:
    `getXSDSimpleTypeDefinition_EffectiveLengthFacet` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Effective Length Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getEffectiveLengthFacet()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_EffectiveMinFacet

    public EReference getXSDSimpleTypeDefinition_EffectiveMinFacet()

  Specified by:
    `getXSDSimpleTypeDefinition_EffectiveMinFacet` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Effective Min Facet'.
  See Also:
    `XSDSimpleTypeDefinition.getEffectiveMinFacet()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDSimpleTypeDefinition_SyntheticFacets

    public EReference getXSDSimpleTypeDefinition_SyntheticFacets()

  Specified by:
    `getXSDSimpleTypeDefinition_SyntheticFacets` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference list 'Synthetic Facets'.
  See Also:
    `XSDSimpleTypeDefinition.getSyntheticFacets()`, `XSDPackage.getXSDSimpleTypeDefinition()`

### getXSDTerm

    public EClass getXSDTerm()

  Specified by:
    `getXSDTerm` in interface `XSDPackage`
  Returns:
    the meta object for class 'Term'.
  See Also:
    `XSDTerm`

### getXSDTotalDigitsFacet

    public EClass getXSDTotalDigitsFacet()

  Specified by:
    `getXSDTotalDigitsFacet` in interface `XSDPackage`
  Returns:
    the meta object for class 'Total Digits Facet'.
  See Also:
    `XSDTotalDigitsFacet`

### getXSDTotalDigitsFacet_Value

    public EAttribute getXSDTotalDigitsFacet_Value()

  Specified by:
    `getXSDTotalDigitsFacet_Value` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDTotalDigitsFacet.getValue()`, `XSDPackage.getXSDTotalDigitsFacet()`

### getXSDTypeDefinition

    public EClass getXSDTypeDefinition()

  Specified by:
    `getXSDTypeDefinition` in interface `XSDPackage`
  Returns:
    the meta object for class 'Type Definition'.
  See Also:
    `XSDTypeDefinition`

### getXSDTypeDefinition_Annotation

    public EReference getXSDTypeDefinition_Annotation()

  Specified by:
    `getXSDTypeDefinition_Annotation` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference 'Annotation'.
  See Also:
    `XSDTypeDefinition.getAnnotation()`, `XSDPackage.getXSDTypeDefinition()`

### getXSDTypeDefinition_DerivationAnnotation

    public EReference getXSDTypeDefinition_DerivationAnnotation()

  Specified by:
    `getXSDTypeDefinition_DerivationAnnotation` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference 'Derivation Annotation'.
  See Also:
    `XSDTypeDefinition.getDerivationAnnotation()`, `XSDPackage.getXSDTypeDefinition()`

### getXSDTypeDefinition_Annotations

    public EReference getXSDTypeDefinition_Annotations()

  Specified by:
    `getXSDTypeDefinition_Annotations` in interface `XSDPackage`
  Returns:
    the meta object for the reference list 'Annotations'.
  See Also:
    `XSDTypeDefinition.getAnnotations()`, `XSDPackage.getXSDTypeDefinition()`

### getXSDTypeDefinition_RootType

    public EReference getXSDTypeDefinition_RootType()

  Specified by:
    `getXSDTypeDefinition_RootType` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Root Type'.
  See Also:
    `XSDTypeDefinition.getRootType()`, `XSDPackage.getXSDTypeDefinition()`

### getXSDTypeDefinition_BaseType

    public EReference getXSDTypeDefinition_BaseType()

  Specified by:
    `getXSDTypeDefinition_BaseType` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Base Type'.
  See Also:
    `XSDTypeDefinition.getBaseType()`, `XSDPackage.getXSDTypeDefinition()`

### getXSDTypeDefinition_SimpleType

    public EReference getXSDTypeDefinition_SimpleType()

  Specified by:
    `getXSDTypeDefinition_SimpleType` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Simple Type'.
  See Also:
    `XSDTypeDefinition.getSimpleType()`, `XSDPackage.getXSDTypeDefinition()`

### getXSDTypeDefinition_ComplexType

    public EReference getXSDTypeDefinition_ComplexType()

  Specified by:
    `getXSDTypeDefinition_ComplexType` in interface `XSDPackage`
  Returns:
    the meta object for the reference 'Complex Type'.
  See Also:
    `XSDTypeDefinition.getComplexType()`, `XSDPackage.getXSDTypeDefinition()`

### getXSDWhiteSpaceFacet

    public EClass getXSDWhiteSpaceFacet()

  Specified by:
    `getXSDWhiteSpaceFacet` in interface `XSDPackage`
  Returns:
    the meta object for class 'White Space Facet'.
  See Also:
    `XSDWhiteSpaceFacet`

### getXSDWhiteSpaceFacet_Value

    public EAttribute getXSDWhiteSpaceFacet_Value()

  Specified by:
    `getXSDWhiteSpaceFacet_Value` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDWhiteSpaceFacet.getValue()`, `XSDPackage.getXSDWhiteSpaceFacet()`

### getXSDWildcard

    public EClass getXSDWildcard()

  Specified by:
    `getXSDWildcard` in interface `XSDPackage`
  Returns:
    the meta object for class 'Wildcard'.
  See Also:
    `XSDWildcard`

### getXSDWildcard_NamespaceConstraintCategory

    public EAttribute getXSDWildcard_NamespaceConstraintCategory()

  Specified by:
    `getXSDWildcard_NamespaceConstraintCategory` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Namespace Constraint Category'.
  See Also:
    `XSDWildcard.getNamespaceConstraintCategory()`, `XSDPackage.getXSDWildcard()`

### getXSDWildcard_NamespaceConstraint

    public EAttribute getXSDWildcard_NamespaceConstraint()

  Specified by:
    `getXSDWildcard_NamespaceConstraint` in interface `XSDPackage`
  Returns:
    the meta object for the attribute list 'Namespace Constraint'.
  See Also:
    `XSDWildcard.getNamespaceConstraint()`, `XSDPackage.getXSDWildcard()`

### getXSDWildcard_ProcessContents

    public EAttribute getXSDWildcard_ProcessContents()

  Specified by:
    `getXSDWildcard_ProcessContents` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Process Contents'.
  See Also:
    `XSDWildcard.getProcessContents()`, `XSDPackage.getXSDWildcard()`

### getXSDWildcard_LexicalNamespaceConstraint

    public EAttribute getXSDWildcard_LexicalNamespaceConstraint()

  Specified by:
    `getXSDWildcard_LexicalNamespaceConstraint` in interface `XSDPackage`
  Returns:
    the meta object for the attribute list 'Lexical Namespace Constraint'.
  See Also:
    `XSDWildcard.getLexicalNamespaceConstraint()`, `XSDPackage.getXSDWildcard()`

### getXSDWildcard_Annotation

    public EReference getXSDWildcard_Annotation()

  Specified by:
    `getXSDWildcard_Annotation` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference 'Annotation'.
  See Also:
    `XSDWildcard.getAnnotation()`, `XSDPackage.getXSDWildcard()`

### getXSDWildcard_Annotations

    public EReference getXSDWildcard_Annotations()

  Specified by:
    `getXSDWildcard_Annotations` in interface `XSDPackage`
  Returns:
    the meta object for the reference list 'Annotations'.
  See Also:
    `XSDWildcard.getAnnotations()`, `XSDPackage.getXSDWildcard()`

### getXSDXPathDefinition

    public EClass getXSDXPathDefinition()

  Specified by:
    `getXSDXPathDefinition` in interface `XSDPackage`
  Returns:
    the meta object for class 'XPath Definition'.
  See Also:
    `XSDXPathDefinition`

### getXSDXPathDefinition_Variety

    public EAttribute getXSDXPathDefinition_Variety()

  Specified by:
    `getXSDXPathDefinition_Variety` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Variety'.
  See Also:
    `XSDXPathDefinition.getVariety()`, `XSDPackage.getXSDXPathDefinition()`

### getXSDXPathDefinition_Value

    public EAttribute getXSDXPathDefinition_Value()

  Specified by:
    `getXSDXPathDefinition_Value` in interface `XSDPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `XSDXPathDefinition.getValue()`, `XSDPackage.getXSDXPathDefinition()`

### getXSDXPathDefinition_Annotation

    public EReference getXSDXPathDefinition_Annotation()

  Specified by:
    `getXSDXPathDefinition_Annotation` in interface `XSDPackage`
  Returns:
    the meta object for the containment reference 'Annotation'.
  See Also:
    `XSDXPathDefinition.getAnnotation()`, `XSDPackage.getXSDXPathDefinition()`

### getXSDAttributeUseCategory

    public EEnum getXSDAttributeUseCategory()

  Specified by:
    `getXSDAttributeUseCategory` in interface `XSDPackage`
  Returns:
    the meta object for enum 'Attribute Use Category'.
  See Also:
    `XSDAttributeUseCategory`

### getXSDCardinality

    public EEnum getXSDCardinality()

  Specified by:
    `getXSDCardinality` in interface `XSDPackage`
  Returns:
    the meta object for enum 'Cardinality'.
  See Also:
    `XSDCardinality`

### getXSDComplexFinal

    public EEnum getXSDComplexFinal()

  Specified by:
    `getXSDComplexFinal` in interface `XSDPackage`
  Returns:
    the meta object for enum 'Complex Final'.
  See Also:
    `XSDComplexFinal`

### getXSDCompositor

    public EEnum getXSDCompositor()

  Specified by:
    `getXSDCompositor` in interface `XSDPackage`
  Returns:
    the meta object for enum 'Compositor'.
  See Also:
    `XSDCompositor`

### getXSDConstraint

    public EEnum getXSDConstraint()

  Specified by:
    `getXSDConstraint` in interface `XSDPackage`
  Returns:
    the meta object for enum 'Constraint'.
  See Also:
    `XSDConstraint`

### getXSDContentTypeCategory

    public EEnum getXSDContentTypeCategory()

  Specified by:
    `getXSDContentTypeCategory` in interface `XSDPackage`
  Returns:
    the meta object for enum 'Content Type Category'.
  See Also:
    `XSDContentTypeCategory`

### getXSDDerivationMethod

    public EEnum getXSDDerivationMethod()

  Specified by:
    `getXSDDerivationMethod` in interface `XSDPackage`
  Returns:
    the meta object for enum 'Derivation Method'.
  See Also:
    `XSDDerivationMethod`

### getXSDDiagnosticSeverity

    public EEnum getXSDDiagnosticSeverity()

  Specified by:
    `getXSDDiagnosticSeverity` in interface `XSDPackage`
  Returns:
    the meta object for enum 'Diagnostic Severity'.
  See Also:
    `XSDDiagnosticSeverity`

### getXSDDisallowedSubstitutions

    public EEnum getXSDDisallowedSubstitutions()

  Specified by:
    `getXSDDisallowedSubstitutions` in interface `XSDPackage`
  Returns:
    the meta object for enum 'Disallowed Substitutions'.
  See Also:
    `XSDDisallowedSubstitutions`

### getXSDForm

    public EEnum getXSDForm()

  Specified by:
    `getXSDForm` in interface `XSDPackage`
  Returns:
    the meta object for enum 'Form'.
  See Also:
    `XSDForm`

### getXSDIdentityConstraintCategory

    public EEnum getXSDIdentityConstraintCategory()

  Specified by:
    `getXSDIdentityConstraintCategory` in interface `XSDPackage`
  Returns:
    the meta object for enum 'Identity Constraint Category'.
  See Also:
    `XSDIdentityConstraintCategory`

### getXSDNamespaceConstraintCategory

    public EEnum getXSDNamespaceConstraintCategory()

  Specified by:
    `getXSDNamespaceConstraintCategory` in interface `XSDPackage`
  Returns:
    the meta object for enum 'Namespace Constraint Category'.
  See Also:
    `XSDNamespaceConstraintCategory`

### getXSDOrdered

    public EEnum getXSDOrdered()

  Specified by:
    `getXSDOrdered` in interface `XSDPackage`
  Returns:
    the meta object for enum 'Ordered'.
  See Also:
    `XSDOrdered`

### getXSDProcessContents

    public EEnum getXSDProcessContents()

  Specified by:
    `getXSDProcessContents` in interface `XSDPackage`
  Returns:
    the meta object for enum 'Process Contents'.
  See Also:
    `XSDProcessContents`

### getXSDProhibitedSubstitutions

    public EEnum getXSDProhibitedSubstitutions()

  Specified by:
    `getXSDProhibitedSubstitutions` in interface `XSDPackage`
  Returns:
    the meta object for enum 'Prohibited Substitutions'.
  See Also:
    `XSDProhibitedSubstitutions`

### getXSDSimpleFinal

    public EEnum getXSDSimpleFinal()

  Specified by:
    `getXSDSimpleFinal` in interface `XSDPackage`
  Returns:
    the meta object for enum 'Simple Final'.
  See Also:
    `XSDSimpleFinal`

### getXSDSubstitutionGroupExclusions

    public EEnum getXSDSubstitutionGroupExclusions()

  Specified by:
    `getXSDSubstitutionGroupExclusions` in interface `XSDPackage`
  Returns:
    the meta object for enum 'Substitution Group Exclusions'.
  See Also:
    `XSDSubstitutionGroupExclusions`

### getXSDVariety

    public EEnum getXSDVariety()

  Specified by:
    `getXSDVariety` in interface `XSDPackage`
  Returns:
    the meta object for enum 'Variety'.
  See Also:
    `XSDVariety`

### getXSDWhiteSpace

    public EEnum getXSDWhiteSpace()

  Specified by:
    `getXSDWhiteSpace` in interface `XSDPackage`
  Returns:
    the meta object for enum 'White Space'.
  See Also:
    `XSDWhiteSpace`

### getXSDXPathVariety

    public EEnum getXSDXPathVariety()

  Specified by:
    `getXSDXPathVariety` in interface `XSDPackage`
  Returns:
    the meta object for enum 'XPath Variety'.
  See Also:
    `XSDXPathVariety`

### getDOMAttr

    public EDataType getDOMAttr()

  Specified by:
    `getDOMAttr` in interface `XSDPackage`
  Returns:
    the meta object for data type 'DOM Attr'.
  See Also:
    `Attr`

### getDOMDocument

    public EDataType getDOMDocument()

  Specified by:
    `getDOMDocument` in interface `XSDPackage`
  Returns:
    the meta object for data type 'DOM Document'.
  See Also:
    `Document`

### getDOMElement

    public EDataType getDOMElement()

  Specified by:
    `getDOMElement` in interface `XSDPackage`
  Returns:
    the meta object for data type 'DOM Element'.
  See Also:
    `Element`

### getDOMNode

    public EDataType getDOMNode()

  Specified by:
    `getDOMNode` in interface `XSDPackage`
  Returns:
    the meta object for data type 'DOM Node'.
  See Also:
    `Node`

### getValue

    public EDataType getValue()

  Specified by:
    `getValue` in interface `XSDPackage`
  Returns:
    the meta object for data type 'Value'.
  See Also:
    `Object`

### getXSDFactory

    public XSDFactory getXSDFactory()

  Specified by:
    `getXSDFactory` in interface `XSDPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

### init

    public static XSDPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `XSDPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.